Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 28599)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 28600)
@@ -5133,5 +5133,5 @@
 <NumberedItem>
 <Text id="hp-15">The current search box does not actually work. We are going to replace this with a search box that will search all collections in our library.</Text>
-<Text id="hp-16">First, add the following template before the final <i>&lt;/xsl:stylesheet&gt;</i>:</Text>
+<Text id="hp-16">First, add the following template before the final <Format>&lt;/xsl:stylesheet&gt;</Format>:</Text>
 <Format>
 	&lt;xsl:template name="searchBox"&gt;<br />
@@ -5179,5 +5179,5 @@
 <NumberedItem>
 <Text id="hp-22">We will define and call a template that will display the correct links depending on whether a user is logged in or not.</Text>
-<Text id="hp-23">Add the following template before the final <i>&lt;/xsl:stylesheet&gt;</i>:</Text>
+<Text id="hp-23">Add the following template before the final <Format>&lt;/xsl:stylesheet&gt;</Format>:</Text>
 <Format>
 <Tab n="1"/>&lt;xsl:template name="loginButton"&gt;<br />
@@ -5436,9 +5436,9 @@
 </Heading>
 <NumberedItem>
-<Text id="ni1-01">In an Explorer window, navigate to the <b>interfaces</b> folder of your Greenstone3 installation (<Path>C: &rarr; Users &rarr; &lt;user-name&gt; &rarr; Greenstone3 &rarr; web &rarr; interfaces</Path>).  </Text>
+<Text id="ni1-01">In a file browser, navigate to the <b>interfaces</b> folder of your Greenstone3 installation (<Path>C: &rarr; Users &rarr; &lt;user-name&gt; &rarr; Greenstone3 &rarr; web &rarr; interfaces</Path>).  </Text>
 <Text id="ni1-02">Create a new folder (in the right-click menu, select New &rarr; Folder) and call it <b>perrin</b>. The name of this folder (perrin) determines the name of your new interface.</Text>
 </NumberedItem>
 <NumberedItem>
-<Text id="ni1-03">From <Path>sample_files &rarr; interfaces &rarr; aybara</Path> folder, copy the file <b>interfaceConfig.xml</b>into the <b>perrin</b> folder. Open the file <Path>perrin &rarr; interfaceConfig.xml</Path> in a text editor. The interface configuration file is used to specify the languages the interface is available in, certain options, and what "actions" are available. <b>Actions</b> create the web pages for the library and specify what XSL file should be used for each. For example, if you completed the Home Page Tutorial, you changed the <i>home</i> subaction to point to <i>home-tutorial.xsl</i> instead of <i>home.xsl</i>.</Text>
+<Text id="ni1-03">From <Path>sample_files &rarr; interfaces &rarr; aybara</Path> folder, copy the file <b>interfaceConfig.xml</b> into the <b>perrin</b> folder. Open the file <Path>perrin &rarr; interfaceConfig.xml</Path> in a text editor. The interface configuration file is used to specify the languages the interface is available in, certain options, and what "actions" are available. <b>Actions</b> create the web pages for the library and specify what XSL file should be used for each. For example, if you completed the Home Page Tutorial, you changed the <i>home</i> subaction to point to <i>home-tutorial.xsl</i> instead of <i>home.xsl</i>.</Text>
 
 <Text id="ni1-04">We are going to make one important change to this file. Our new interface is going to borrow heavily from the default interface. We will be reusing many of the XSL files, Javascript, and images. We could copy all of these files into our new interface, however, there are a few drawbacks to this solution:<br /><br />
@@ -5511,5 +5511,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ni1-13">Visit <i>http://www.os-templates.com/free-website-templates/news-magazine</i> and click the <b>Download Here</b> button. In the popup window, select <b>Save File</b> and click <b>OK</b>. On Windows, this will save the file <b>news-magazine.zip</b> in your <b>Downloads</b> folder. <i>This template is free to use and modify, but the Copyright and link information <b>must remain intact</b> in files and in the footer of every page. The template <b>cannot be distributed</b> (modified or otherwise) without express permission from OS-Templates (The full license is provided in the <b>license.txt</b> file included with the template).</i></Text>
+<Text id="ni1-13">Visit <i>http://www.os-templates.com/free-website-templates/news-magazine</i> and click the <b>Download Here</b> button. In the popup window, select <b>Save File</b> and click <b>OK</b>. On Windows, this will save the file <b>news-magazine.zip</b> in your <b>Downloads</b> folder. <i>This template is free to use and modify, but the Copyright and link information <b>must remain intact</b> in files and in the footer of every page. The template <b>cannot be distributed</b> (modified or otherwise) without express permission from OS-Templates. (The full license is provided in the <b>license.txt</b> file included with the template).</i></Text>
 </NumberedItem>
 <NumberedItem>
@@ -5523,5 +5523,5 @@
 <Text id="ni1-17"> In the <Path> perrin &rarr; styles</Path> folder, open layout.css in a text editor and delete the following line:</Text>
 <Format>@import url(tables.css);</Format>
-<Text id="ni1-18">Save and close layout.css. You can also delete the tables.css file, as it is no longer used. </Text>
+<Text id="ni1-18">Save and close layout.css.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -5532,115 +5532,4 @@
 </Content>
 </Tutorial>
-<Tutorial id="new_interface1">
-<Title>
-<Text id="dl-01">Designing a new interface: Part 1</Text>
-</Title>
-<SampleFiles folder="interfaces"/>
-<Version initial="3.06" current="3.06"/>
-<Content>
-<Comment>
-<Text id="ni1-c1">This tutorial series demonstrates how to create a new interface using the default interface as a base. In this first tutorial, we will set the stage by creating a barebones interface, defining a library that uses the interface, and gathering the various Javascript, CSS, and image files that will be used by the new interface.</Text>
-</Comment>
-<Heading>
-<Text id="ni1-h1">Creating a new interface</Text>
-</Heading>
-<NumberedItem>
-<Text id="ni1-01">In an Explorer window, navigate to the <b>interfaces</b> folder of your Greenstone3 installation (<Path>C: &rarr; Users &rarr; &lt;user-name&gt; &rarr; Greenstone3 &rarr; web &rarr; interfaces</Path>).  </Text>
-<Text id="ni1-02">Create a new folder (in the right-click menu, select New &rarr; Folder) and call it <b>perrin</b>. The name of this folder (perrin) determines the name of your new interface.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="ni1-03">From <Path>sample_files &rarr; interfaces &rarr; aybara</Path> folder, copy the file <b>interfaceConfig.xml</b>into the <b>perrin</b> folder. Open the file <Path>perrin &rarr; interfaceConfig.xml</Path> in a text editor. The interface configuration file is used to specify the languages the interface is available in, certain options, and what "actions" are available. <b>Actions</b> create the web pages for the library and specify what XSL file should be used for each. For example, if you completed the Home Page Tutorial, you changed the <i>home</i> subaction to point to <i>home-tutorial.xsl</i> instead of <i>home.xsl</i>.</Text>
-
-<Text id="ni1-04">We are going to make one important change to this file. Our new interface is going to borrow heavily from the default interface. We will be reusing many of the XSL files, Javascript, and images. We could copy all of these files into our new interface, however, there are a few drawbacks to this solution:<br /><br />
-<Tab n="1"/>&#8226; we will end up with duplicates of a large number of files <br/>
-<Tab n="1"/>&#8226; there are many files in the default interface that we won't need<br/>
-<Tab n="1"/>&#8226; it will be difficult to keep track of which files are different/unique to our new interface<br/>
-</Text>
-<Text id="ni1-05">A better solution is to base our new interface on the default interface. A base interface is used by Greenstone as a kind of backup. If Greenstone can't find a file in our interface, it will then try to find it in the base interface. To assign default as base interface, in <Path>perrin &rarr; interfaceConfig.xml</Path>, change the second line from this:</Text>
-<Format>
-&lt;interfaceConfig&gt;
-</Format>
-<Text id="ni1-06">To this:</Text>
-<Format>
-&lt;interfaceConfig baseInterface="default"&gt;
-</Format>
-</NumberedItem>
-<NumberedItem>
-<Text id="ni1-07">Save and close <b>interfaceConfig.xml</b>. </Text>
-</NumberedItem>
-<Heading>
-<Text id="ni1-h2">Defining a new library</Text>
-</Heading>
-<NumberedItem>
-<Text id="ni1-07">Now, let's define a library that uses the new interface. In <Path>Greenstone3 &rarr; web &rarr; WEB-INF</Path> open <b>web.xml</b>, and add the following (the exact location doesn't matter, just put it with the other servlets):</Text>
-<Format>
-	<Tab n="1"/>&lt;servlet&gt;<br/>
-		<Tab n="2"/>&lt;servlet-name&gt;golden&lt;/servlet-name&gt;<br/>
-		<Tab n="2"/>&lt;description&gt;A new library with my new interface!&lt;/description&gt;<br/>
-		<Tab n="2"/>&lt;servlet-class&gt;org.greenstone.gsdl3.LibraryServlet&lt;/servlet-class&gt;<br/>
-		<Tab n="2"/>&lt;init-param&gt;<br/>
-			<Tab n="3"/>&lt;param-name&gt;library_name&lt;/param-name&gt;<br/>
-			<Tab n="3"/>&lt;param-value&gt;golden&lt;/param-value&gt;<br/>
-		<Tab n="2"/>&lt;/init-param&gt;<br/>
-		<Tab n="2"/>&lt;init-param&gt;<br/>
-			<Tab n="3"/>&lt;param-name&gt;site_name&lt;/param-name&gt;<br/>
-			<Tab n="3"/>&lt;param-value&gt;localsite&lt;/param-value&gt;<br/>
-		<Tab n="2"/>&lt;/init-param&gt;<br/>
-		<Tab n="2"/>&lt;init-param&gt;<br/>
-			<Tab n="3"/>&lt;param-name&gt;interface_name&lt;/param-name&gt;<br/>
-			<Tab n="3"/>&lt;param-value&gt;perrin&lt;/param-value&gt;<br/>
-		<Tab n="2"/>&lt;/init-param&gt;<br/>
-		<Tab n="2"/>&lt;init-param&gt;<br/>
-			<Tab n="3"/>&lt;param-name&gt;receptionist_class&lt;/param-name&gt;<br/>
-			<Tab n="3"/>&lt;param-value&gt;DefaultReceptionist&lt;/param-value&gt;<br/>
-		<Tab n="2"/>&lt;/init-param&gt;<br/>
-		<Tab n="2"/>&lt;init-param&gt;<br/>
-			<Tab n="3"/>&lt;param-name&gt;default_lang&lt;/param-name&gt;<br/>
-			<Tab n="3"/>&lt;param-value&gt;en&lt;/param-value&gt;<br/>
-		<Tab n="2"/>&lt;/init-param&gt;<br/>
-	<Tab n="1"/>&lt;/servlet&gt;<br/>
-</Format>
-<Text id="ni1-08">This defines a new library called "golden" that uses "localsite" and our new "perrin" interface. Now, near the bottom of the file, add in a servlet mapping to tell the server where our new library should be located:</Text>
-<Format>
-	<Tab n="1"/>&lt;servlet-mapping&gt;<br/>
-		<Tab n="2"/>&lt;servlet-name&gt;golden&lt;/servlet-name&gt;<br/>
-		<Tab n="2"/>&lt;url-pattern&gt;/golden/*&lt;/url-pattern&gt;<br/>
-	<Tab n="1"/>&lt;/servlet-mapping&gt;	<br/>
-</Format>
-</NumberedItem>
-<NumberedItem>
-<Text id="ni1-09">Save web.xml. Start up your Greenstone server (<Path>Start &rarr; All Programs &rarr; Greenstone3 &rarr; Greenstone3 Server</Path>) and click the <b>Enter Library</b> button. This will take you to the default library's home page.</Text>
-<Text id="ni1-10">Navigate to <Path>http://localhost:8383/greenstone3/golden</Path>. This library is using the <i>perrin</i> interface. However, since <i>perrin</i> contains no files except its configuration file, Greenstone is borrowing everything from <i>default</i>, <i>perrin</i>'s base interface.</Text>
-</NumberedItem>
-<Heading>
-<Text id="ni1-h3">Gathering files</Text>
-</Heading>
-<NumberedItem>
-<Text id="ni1-11">To change how the perrin interface looks, we will be adding some key XSL files (<i>home.xsl</i>, <i>header.xsl</i>, and <i>main.xsl</i>). However, before we do that, we want to gather all of the new CSS, Javascript, and image files we will be using with our new interface.</Text>
-<Text id="ni1-12">Since designing web pages is quite challening in itself, we will be taking advantage of free CSS templates that can be downloaded and modified. There are many websites that offer high quality web page designs, often for free. <i>(Always be sure to read the license information fully to ensure you do not violate the usage agreement in any way.)</i></Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="ni1-13">Visit <Link url="http://www.os-templates.com/free-website-templates/news-magazine">http://www.os-templates.com/free-website-templates/news-magazine</Link> and click the <b>Download Here</b> button. In the popup window, select <b>Save File</b> and click <b>OK</b>. On Windows, this will save the file <b>news-magazine.zip</b> in your <b>Downloads</b> folder. <i>This template is free to use and modify, but the Copyright and link information <b>must remain intact</b> in files and in the footer of every page. The template <b>cannot be distributed</b> (modified or otherwise) without express permission from OS-Templates (The full license is provided in the <b>license.txt</b> file included with the template).</i></Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="ni1-14">In an Explorer window, navigate to your Downloads folder (<Path>C:\Users\&lt;user-name&gt;\Downloads</Path>). Right-click <b>news-magazine.zip</b>, select <b>Extract All...</b> and, in the popup window, click <b>Extract</b>.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="ni1-15">From the new news-magazine folder, copy the <b>styles</b>, <b>scripts</b>, and <b>images</b> folders and the <b>license.txt</b> file into <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin</Path>. </Text>
-<Text id="ni1-16">In the new <Path> perrin &rarr; images </Path> folder, delete everything except the <b>galleryviewthemes</b> folder and its contents, because we will not be using any of the other images. </Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="ni1-17"> In the <Path> perrin &rarr; styles</Path> folder, open <b>layout.css</b> in a text editor and delete the following line:</Text>
-<Format>@import url(tables.css);</Format>
-<Text id="ni1-18">Save and close <b>layout.css</b>. You can also delete the <b>tables.css</b> file, as it is no longer used. </Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="ni1-18">Now, from the <Path>sample_files &rarr; interfaces &rarr; aybara</Path> folder, copy the <b>styles</b>, <b>images</b>, and <b>transform</b> folders, as well as the <b>index-GS3.html</b> file into <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin</Path> (If a popup window asks whether you want to merge the images and styles folders, select "Yes".) We have now gathered all of the Javascript, CSS, and images our new interface will use.</Text>
-<Text id="ni1-19">Double click on <Path>perrin &rarr; index-GS3.html</Path> to open it in a browser window. This file isn't used by the new interface, but provides a preview of how the interface will look. </Text>
-<Text id="ni1-20">In the next tutorial, we will begin changing how our interface looks, starting with the home page.</Text>
-</NumberedItem>
-</Content>
-</Tutorial>
-
 
 <Tutorial id="new_interface2">
@@ -5649,4 +5538,5 @@
 </Title>
 <SampleFiles folder="interfaces"/>
+<Prerequisite id="new_interface1"/>
 <Version initial="3.06" current="3.06"/>
 <Content>
@@ -5664,5 +5554,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ni2-03">In a previous tutorial, we created a home page that was completely different than the rest of our library's pages. This time, however, the home page will share a large portion of it's layout and style with the rest of the library's pages. So, we're only going to change the home page's <i>content</i> by modifying the <b>/page/pageResponse</b> template. We will be adding three sections to our home page: an image slider, a section that can contain featured content, and a list of all of the collections in the library, along with their descriptions.</Text>
+<Text id="ni2-03">In a previous tutorial, we created a home page that was completely different than the rest of our library's pages. This time, however, the home page will share a large portion of its layout and style with the rest of the library's pages. So, we're only going to change the home page's <i>content</i> by modifying the <b>/page/pageResponse</b> template. We will be adding three sections to our home page: an image slider, a section that can contain featured content, and a list of all of the collections in the library, along with their descriptions.</Text>
 <Text id="ni2-04">Replace HOME PAGE CONTENT GOES HERE with the following:
 </Text>
@@ -5678,5 +5568,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ni2-05">Save <b>home.xsl</b> and refresh your web browser. You should now see an <i>Apache Tomcat</i> error. This is because we are calling a template (<i>collSlider</i>) that doesn't exist. Now add the following before the final &lt;/xsl:stylesheet&gt;:</Text>
+<Text id="ni2-05">Save <b>home.xsl</b> and refresh your web browser. <b>DON'T PANIC!</b>&#160;<u>You should now see an <i>Apache Tomcat</i> error.</u> This is because we are calling a template (<i>collSlider</i>) that doesn't exist. Now add the following before the final <Format>&lt;/xsl:stylesheet&gt;</Format>:</Text>
 <Format>
 	<Tab n="1"/>&lt;xsl:template name="collSlider"&gt;<br />
@@ -5708,8 +5598,8 @@
 <NumberedItem>
 <Text id="ni2-06">Save <b>home.xsl</b> and refresh your web browser. You should no longer have an error. For every collection in your library, you should now see an image followed by the collection's name. In a moment, we will add in the Javascript that will turn these into a slider, but first, let's consider what the collSlider template is doing.</Text>
-<Text id="ni2-07">Basically, for every collection in your library (&lt;xsl:for-each select="./collectionList/collection"&gt;), it is creating a list item than includes an image and the collection's name, which links to the collection's about page. If the collection has a Home page image (the "smallicon"), this will be displayed. Otherwise a backup image (<i>default.jpg</i>, which is located in <Path>perrin &rarr; images</Path>) will be displayed. </Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="ni2-08">Now, add Javascript files that will turn these list items into an image slider. Before the final &lt;/xsl:stylesheet&gt;, add the following:</Text>
+<Text id="ni2-07">Basically, for every collection in your library (<Format>&lt;xsl:for-each select="./collectionList/collection"&gt;</Format>), it is creating a list item than includes an image and the collection's name, which links to the collection's about page. If the collection has a Home page image (the "smallicon"), this will be displayed. Otherwise a backup image (<i>default.jpg</i>, which is located in <Path>perrin &rarr; images</Path>) will be displayed. </Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="ni2-08">Now, add Javascript files that will turn these list items into an image slider. Before the final <Format>&lt;/xsl:stylesheet&gt;</Format>, add the following:</Text>
 <Format>
 	<Tab n="1"/>&lt;xsl:template name="additionalHeaderContent"&gt;<br />
@@ -5720,9 +5610,9 @@
 	<Tab n="1"/>&lt;/xsl:template&gt;	<br />
 </Format>
-<Text id="ni2-09">Save home.xsl and refresh your web browser. All of the images and collection names should now be condensed into an image slider. (It is still missing some style, because we haven't added links to our CSS files yet.) This <b>additionalHeaderContent</b> template is "called" in the <b>header.xsl</b> file, which we will see later in this tutorial.
+<Text id="ni2-09">Save <b>home.xsl</b> and refresh your web browser. All of the images and collection names should now be condensed into an image slider. (It is still missing some style, because we haven't added links to our CSS files yet.) This <b>additionalHeaderContent</b> template is "called" in the <b>header.xsl</b> file, which we will see later in this tutorial.
 </Text>
 </NumberedItem>
 <NumberedItem>
-<Text id="ni2-10">Add the next section of of the home page's content. Insert the highlighted section: </Text>
+<Text id="ni2-10">Add the next section of the home page's content. In the <i>/page/pageResponse</i> template, insert the highlighted section where indicated: </Text>
 <Format>
 					<Tab n="5"/>&lt;xsl:call-template name="collSlider"/&gt;<br />
@@ -5758,5 +5648,5 @@
 	<Tab n="1"/>&lt;/xsl:template&gt;<br />
 </Format>
-<Text id="ni2-13">And add the following templates before the final &lt;/xsl:stylesheet&gt;:</Text>
+<Text id="ni2-13">And add the following templates before the final <Format>&lt;/xsl:stylesheet&gt;</Format>:</Text>
 <Format>
 	<Tab n="1"/>&lt;xsl:template name="collectionsList"&gt;<br />
@@ -5792,5 +5682,5 @@
 		<Tab n="2"/>&lt;xsl:choose&gt;<br />
 			<Tab n="3"/>&lt;xsl:when test="$collDesc"&gt;<br />
-				<Tab n="4"/>&lt;p class="justify"&gt;&lt;xsl:value-of select="$collDesc"/&gt;&lt;/p&gt;<br />
+				<Tab n="4"/>&lt;p class="justify"&gt;&lt;xsl:value-of select="$collDesc"  disable-output-escaping="yes"/&gt;&lt;/p&gt;<br />
 			<Tab n="3"/>&lt;/xsl:when&gt;<br />
 			<Tab n="3"/>&lt;xsl:otherwise&gt;<br />
@@ -5804,5 +5694,5 @@
 </Comment>
 <Text id="ni2-14">First look at the collDescription template. It creates a header that links to the collection's about page (<Format>&lt;h2&gt;&lt;a href="{$library_name}/collection/{$collectionFolder}/page/about"&gt;&lt;xsl:value-of select="$collectionName"/&gt;&lt;/a&gt;&lt;/h2&gt;</Format>). Then, if there is an About page image for the collection, this is displayed. Finally, if the collection has a description (<Format>&lt;xsl:when test="$collDesc"&gt;</Format>), it will display this description. Otherwise, it will display the a generic sentence stating the collection's name and how many documents it contains.</Text>
-<Text id="ni2-15">Now, let's look at the collectionsList template. Basically, for every collection in the library (<Format>&lt;xsl:for-each select="./collectionList/collection"&gt;</Format>), it is calling the collDescription template, i.e. doing everything explained in the previous paragraph. However, the CSS we are using requires that our div's alternate between class "fl_left" and class "fl_right" or the page won't display correctly. So, if the collection is an odd number in the list (<Format>&lt;xsl:when test="position() mod 2 = 1"&gt;</Format>), the collection description will be in a  <Format>&lt;div class="fl_left"&gt;</Format>, otherwise (i.e. when it is an even number in the list) the collection description will be in a  <Format>&lt;div class="fl_right"&gt;</Format>.</Text>
+<Text id="ni2-15">Now, let's look at the collectionsList template. Basically, for every collection in the library (<Format>&lt;xsl:for-each select="./collectionList/collection"&gt;</Format>), it is calling the collDescription template, i.e. doing everything explained in the previous paragraph. However, the CSS we will be using requires that our div's alternate between class "fl_left" and class "fl_right" or the page won't display correctly. So, if the collection is an odd number in the list (<Format>&lt;xsl:when test="position() mod 2 = 1"&gt;</Format>), the collection description will be in a  <Format>&lt;div class="fl_left"&gt;</Format>, otherwise (i.e. when it is an even number in the list) the collection description will be in a  <Format>&lt;div class="fl_right"&gt;</Format>. Once we link our CSS, this will make our descriptions fall into two nice columns.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -5814,5 +5704,5 @@
 </Heading>
 <NumberedItem>
-<Text id="ni2-18">From the <Path> sample_files &rarr; interfaces </Path> folder, copy header.xsl into <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin &rarr; transform &rarr; layouts</Path>. Refresh your web browser: nothing should have changed.</Text>
+<Text id="ni2-18">From the <Path> sample_files &rarr; interfaces &rarr; aybara</Path> folder, copy header.xsl into <Path>Greenstone3 &rarr; web &rarr; interfaces &rarr; perrin &rarr; transform &rarr; layouts</Path>. Refresh your web browser: nothing should have changed.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -5850,4 +5740,5 @@
 </Title>
 <SampleFiles folder="interfaces"/>
+<Prerequisite id="new_interface2"/>
 <Version initial="3.06" current="3.06"/>
 <Content>
@@ -5875,5 +5766,5 @@
 <Tab n="1"/>&lt;/xsl:template&gt;<br/>
 </Format>
-<Text id="ni3-03">Every page in our library uses this template. As you can see, it contains the basic structure of our HTML page. Inside the HTML header, the <b>create-html-header</b> template is called (<Format>&lt;xsl:call-template name="create-html-header"/&gt;</Format>). This is the template in <b>header.xsl</b> we edited in the previously tutorial. Inside the body of the HTML, we use two templates: <b>/page</b> and <b>gs_footer</b>. (The <b>/page</b> template is "applied" instead of called. The reason for this is complex and not relevant to this tutorial.)</Text>
+<Text id="ni3-03">Every page in our library uses this template. As you can see, it contains the basic structure of our HTML page. Inside the HTML header, the <b>create-html-header</b> template is called (<Format>&lt;xsl:call-template name="create-html-header"/&gt;</Format>). This is the template in <b>header.xsl</b> we edited in the previous tutorial. Inside the body of the HTML, we use two templates: <b>/page</b> and <b>gs_footer</b>. (The <b>/page</b> template is "applied" instead of called. The reason for this is complex and not relevant to this tutorial.)</Text>
 <Text id="ni3-04"> The <b>/page</b> template is where the content of each individual page is. For the home page, it is the content we just added to <b>home.xsl</b>. Since the <b>perrin</b> interface does not have XSL files for any of the other page types, the content of all of the other pages depends on the default interface: on the collection's about page, it's the collection description; on search pages, it is the query boxes and search results; on document pages it is the document content, etc. </Text>
 <Text id="ni3-04">The <b>gs_footer</b> template is where we will put our page's footer.</Text>
@@ -6182,7 +6073,9 @@
 <Text id="ni3-24">Next, we'll add a header to our page that displays the library's name (with a link to the home page), and, if we're inside a collection, displays the collection's name (with a link to the collection's about page). After the <Format>&lt;body&gt;</Format> tag in <b>mainTemplate</b>, add the following:</Text>
 <Format>
+	<Tab n="2"/>&lt;div class="wrapper"&gt;<br />
+		<Tab n="3"/>&lt;div id="header"&gt;<br />
 			<Tab n="4"/>&lt;div class="fl_left"&gt;<br />
 				<Tab n="5"/>&lt;h1&gt;&lt;a href="{$library_name}"&gt;&lt;xsl:call-template name="siteName"/&gt;&lt;/a&gt;&lt;/h1&gt;<br />
-				<Tab n="5"/>&lt;p&gt;&#160;<br />
+				<Tab n="5"/>&lt;p&gt;&amp;#160;<br />
 				<Tab n="6"/>&lt;xsl:if test="page/pageResponse/collection"&gt;<br />
 					<Tab n="7"/>&lt;a href="{$library_name}/collection/{$collNameChecked}/page/about"&gt;<br />
@@ -6192,4 +6085,6 @@
 				<Tab n="5"/>&lt;/p&gt;<br />
 			<Tab n="4"/>&lt;/div&gt;<br />
+		<Tab n="3"/>&lt;br class="clear"/&gt;&lt;/div&gt;<br />
+	<Tab n="2"/>&lt;/div&gt;<br />		
 </Format>
 <Text id="ni3-25">Save main.xsl and refresh the web browser to see the library name display at the top of the page. Enter a collection to see the collection name displayed.</Text>
@@ -6202,5 +6097,5 @@
   <Tab n="5"/>&lt;div id="topline"&gt;<br />
     <Tab n="6"/>&lt;ul&gt;<br />
- 	<Tab n="7"/>&lt;call-template name="loginLinks"/&gt;<br />
+ 	<Tab n="7"/>&lt;xsl:call-template name="loginLinks"/&gt;<br />
      <Tab n="7"/> &lt;li&gt;&lt;a href="{$library_name}/collection/{$collNameChecked}/page/pref"&gt;Preferences&lt;/a&gt;&lt;/li&gt;<br />
      <Tab n="7"/> &lt;li&gt;&lt;a href="{$library_name}/collection/{$collNameChecked}/page/help"&gt;Help&lt;/a&gt;&lt;/li&gt;<br />
@@ -6227,5 +6122,5 @@
 	<Tab n="3"/>&lt;xsl:otherwise&gt;<br />
 		<Tab n="4"/>&lt;li class="login"&gt;<br />
-			<Tab n="5"/>&lt;a href="{$library_name}?a=p&amp;sa=login&amp;redirectURL={$library_name}%3Fa=p%26sa=home"&gt;Login<br/>
+			<Tab n="5"/>&lt;a href="{$library_name}?a=p&amp;amp;sa=login&amp;amp;redirectURL={$library_name}%3Fa=p%26sa=home"&gt;Login<br/>
 				<Tab n="6"/>&lt;xsl:attribute name="title"&gt;<br/>
 					<Tab n="7"/>&lt;xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'login_tip')"/&gt;<br/>
@@ -6239,5 +6134,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ni3-27">Save and close <b>main.xsl</b> and refresh the web browser too see the top bar. Click the <b>Login</b> button and log in as <b>admin</b> (default password is "admin") to see all of the links appear along the top (including links to the <b>Add User</b> page, to the <b>Administration</b> page, and to Logout).</Text>
+<Text id="ni3-27">Save and close <b>main.xsl</b> and refresh the web browser to see the top bar. Click the <b>Login</b> button and log in as <b>admin</b> (default password is "admin") to see all of the links appear along the top (including links to the <b>Add User</b> page, to the <b>Administration</b> page, and to Logout).</Text>
 </NumberedItem>
 <Heading>