Index: /documentation/trunk/tutorial_sample_files/libraries/althor/css/gs3-core-min.css
===================================================================
--- /documentation/trunk/tutorial_sample_files/libraries/althor/css/gs3-core-min.css	(revision 28600)
+++ /documentation/trunk/tutorial_sample_files/libraries/althor/css/gs3-core-min.css	(revision 28601)
@@ -309,81 +309,59 @@
 }
 
-
-
-
 /* INTERFACE SPECIFIC */
 
-/*
-.col2{color:#FFFFFF; background-color:#F6F6F6;height:67px;}
-
-
-#header .fl_left p{
-	font-size: 22px;
-	}
-
-.container{
-	min-height: 300px;
-	}
-
-	
-.column .latestnews li{
-	height: auto;
-	}	
-
-#hpage_cats{
-	margin-top: 20px;
-	}	
-
-	
-#hpage_cats .fl_left img, #hpage_cats .fl_right img{
-	height: 100px;
-	width: 100px;
-	}	
-
-
-.panel .panel-overlay, .panel .overlay-background{height: 20px;}
-
-
-#advanced {
-margin: 2px 0px 0px 0px;
-float: right;
+#heading {
+height: 134px;
+}
+
+#top {
+height: 40%
+}
+
+#logo a {
+font-family: Algerian, serif;
+color: #FFFFE6;
+}
+
+
+
+@media (min-width:300px) {
+#logo a {font-size: 20px;}
+}
+@media (min-width:500px) {
+#logo a {font-size: 30px;}
+}
+@media (min-width:800px) {
+#logo a {font-size: 40px;}
+}
+@media (min-width:1000px) {
+#logo a {font-size: 50px;}
+}
+@media (min-width:1200px) {
+#logo a {font-size: 60px;}
+}
+@media (min-width:1500px) {
+#logo a {font-size: 70px;}
+}
+
+
+td {
+padding: 1px;
+}
+
+form#prefform h3 {
 clear: both;
-}	
-
+}
 
 input[type='submit'], button {
-display:block;
+	display:block;
 	float:left;
-	border:1px solid #396B86;
-	font-size:12px;
-	width:68px;
-	height:26px;
-	margin:0;
-	padding:4px 0;
-	text-transform:uppercase;
-	color:#FFFFFF;
-	background-color:#059BD8;
-	border-color:#396B86;
-	cursor:pointer;
-	font-weight:bold;
-}	
-
-
-#changePasswordButton {
-	width:175px;
-}	
-
-#addGroupButton {
-	width:100px;
-}
-
-
-li.login  a {
-color: #a4e3fd;
-}
-
-
-input[value='Set preferences'] {
-width: 150px;
-}
-*/
+	clear: both;
+	margin-top: 10px;
+
+}
+
+form div table {
+float: left;
+clear: both;
+}
Index: /documentation/trunk/tutorial_sample_files/libraries/althor/license.txt
===================================================================
--- /documentation/trunk/tutorial_sample_files/libraries/althor/license.txt	(revision 28600)
+++ /documentation/trunk/tutorial_sample_files/libraries/althor/license.txt	(revision 28601)
@@ -1,8 +1,16 @@
-License
+License for free CSS template used to create this interface
 
 Thanks for Downloading!
 This resource is free for personal and commercial use no attribution necessary. Note. I don't offer support on free files.
 
+Relax, all files available for download at luiszuno.com are free for personal and commercial use with little restriction.
 
+You may freely use them without restriction, in any kind of application such software programs, web templates, themes for cms, prints or other kind of materials intended for sale or distribution.
+
+You are not permitted to make the resources found on luiszuno.com available for distribution elsewhere âas isâ without prior consent.
+
+Feeling Grateful?
+
+Consider making a donation: http://luiszuno.com/blog/donations/
 
 
Index: /documentation/trunk/tutorial_sample_files/libraries/althor/transform/layouts/main.xsl
===================================================================
--- /documentation/trunk/tutorial_sample_files/libraries/althor/transform/layouts/main.xsl	(revision 28600)
+++ /documentation/trunk/tutorial_sample_files/libraries/althor/transform/layouts/main.xsl	(revision 28601)
@@ -27,8 +27,10 @@
 		
 		<!-- header wrapper -->
-		<div class="wrapper cf">
+		<div id="heading" class="wrapper cf">
+		<div id="top"><xsl:text> </xsl:text></div>
 			<div id="logo">
-				<a href="{$library_name}" ><img src="interfaces/{$interface_name}/img/logo.png" alt="" /></a>
+				<div id="title"><a href="{$library_name}"><xsl:call-template name="siteName"/></a></div>
 			</div>
+					<div id="bottom"><xsl:text> </xsl:text></div>
 		</div><!-- ENDS header wrapper -->
 		<!-- ENDS header wrapper -->
@@ -50,5 +52,22 @@
 		<div role="main" id="main">
 		<div class="wrapper">
+		<xsl:choose>
+		<xsl:when test="not(/page/pageRequest/@subaction='home')">
+					<div class="page-content">
+					<div class="entry-content cf">
+							<xsl:apply-templates select="/page"/>
+					</div>
+							<div class="c-1"><xsl:text> </xsl:text></div>
+<div class="c-2"><xsl:text> </xsl:text></div>
+<div class="c-3"><xsl:text> </xsl:text></div>
+<div class="c-4"><xsl:text> </xsl:text></div>			
+					
+					</div>
+
+		</xsl:when>
+		<xsl:otherwise>
 		<xsl:apply-templates select="/page"/>
+		</xsl:otherwise>
+		</xsl:choose>
 			  </div>
 	</div>
@@ -89,9 +108,14 @@
 				<ul id="social-bar" class="cf">
 					<li class="left-corner"><i></i></li>
-					<li><a href="http://www.facebook.com"  title="Become a fan" ><img src="interfaces/{$interface_name}/img/social/Facebook.png"  alt="Facebook" /></a></li>
-					<li><a href="http://www.twitter.com" title="Follow my tweets" ><img src="interfaces/{$interface_name}/img/social/Twitter.png"  alt="twitter" /></a></li>
-					<li><a href="http://www.google.com"  title="Add to the circle" ><img src="interfaces/{$interface_name}/img/social/Google+.png" alt="Google plus" /></a></li>
-					<li class="right-corner"><i></i></li>
-					<li><a href="http://www.google.com"  title="Add to the circle" ><img src="interfaces/{$interface_name}/img/social/RSS.png" alt="RSS" /></a></li>
+					<li><a href="http://www.facebook.com"  title="Become a fan" ><img src="interfaces/{$interface_name}/images/social/Facebook.png"  alt="Facebook" /></a></li>
+					<li><a href="http://www.twitter.com" title="Follow my tweets" ><img src="interfaces/{$interface_name}/images/social/Twitter.png"  alt="twitter" /></a></li>
+					<li><a href="http://www.google.com"  title="Add to the circle" ><img src="interfaces/{$interface_name}/images/social/Google+.png" alt="Google plus" /></a></li>
+		  <!-- RSS feed link can appear in a global format statement (where it has no type attribute) 
+		       or in section specific format statements, such as browse, search, display. 
+		       If it's present in any format statement, display the RSS link in the bannerlinks section. -->
+		  <xsl:if test="/page/pageResponse/format[@type='display' or @type='browse' or @type='search' or not(@type)]/gsf:option[@name='RSS']/@value = 'true'">
+		  
+			<li><gsf:link type="rss"><gsf:icon file="social/RSS.png"/></gsf:link></li>
+		  </xsl:if>
 					<li class="right-corner"><i></i></li>					
 				</ul>
@@ -102,21 +126,15 @@
 				<li class="first-col">
 					<div class="widget-block">
-						<h4>RECENT POSTS</h4>
+						<h4>News</h4>
 						<div class="recent-post cf">
-							<a href="#" class="thumb"><img src="interfaces/{$interface_name}/images/54x54.jpg" alt="Post" /></a>
+							<a href="http://www.greenstone.org/download" class="thumb"><img src="interfaces/{$interface_name}/images/54x54.jpg" alt="Post" /></a>
 							<div class="post-head">
-								<a href="#">Pellentesque habitant morbi senectus </a><span> March 12, 2011</span>
+								<a href="http://www.greenstone.org/download">Greenstone 2.86 Released!</a><span> 30 October 2013</span>
 							</div>
 						</div>
 						<div class="recent-post cf">
-							<a href="#" class="thumb"><img src="interfaces/{$interface_name}/images/54x54.jpg" alt="Post" /></a>
+							<a href="http://wiki.greenstone.org" class="thumb"><img src="interfaces/{$interface_name}/images/54x54.jpg" alt="Post" /></a>
 							<div class="post-head">
-								<a href="#">Pellentesque habitant morbi senectus</a><span> March 12, 2011</span>
-							</div>
-						</div>
-						<div class="recent-post cf">
-							<a href="#" class="thumb"><img src="interfaces/{$interface_name}/images/54x54.jpg" alt="Post" /></a>
-							<div class="post-head">
-								<a href="#">Pellentesque habitant morbi senectus</a><span> March 12, 2011</span>
+								<a href="http://wiki.greenstone.org">New Wiki Launched!</a><span>20 October 2013</span>
 							</div>
 						</div>
@@ -126,13 +144,18 @@
 					<div class="widget-block">
 						<h4>ABOUT</h4>
-						<p>Vintage Template it's completely free this means you don't have to pay anything <a href="http://luiszuno.com/blog/license" >read license</a>.</p> 
+						<p>This interface was created using a free CSS template by <a href="http://luiszuno.com/">http://luiszuno.com/</a>. Be sure to keep the credit line in the footer intact.</p> 
 						
-						<p>Placeholder images by <a href="http://twistedfork.me/" >Dan Matutina</a></p>
-						<p>Visit <a href="http://templatecreme.com/" >Template Creme</a> and find the most beautiful free templates up to date.</p></div>
+						<p>Placeholder images by Jennifer L. Whisler (free for reuse under a <a href="http://creativecommons.org/licenses/by/3.0/">Creative Commons Attribution</a> license).</p>
+						</div>
 				</li>
 				<li class="third-col">
 					<div class="widget-block">
 						<div id="tweets" class="footer-col tweet">
-		     				<h4>TWITTER WIDGET</h4>
+		     				<h4>Library Links</h4>
+						<ul>
+						<xsl:call-template name="loginLinks"/>
+						<li class="cat-item"><a href="{$library_name}/collection/{$collNameChecked}/page/pref">Preferences</a></li>
+						<li class="cat-item"><a href="{$library_name}/collection/{$collNameChecked}/page/help">Help</a></li>
+						</ul>
 		     			</div>
 		     		</div>	
@@ -140,12 +163,10 @@
 				<li class="fourth-col">
 					<div class="widget-block">
-						<h4>CATEGORIES</h4>
+						<h4>External Links</h4>
 						<ul>
-							<li class="cat-item"><a href="#" >Design</a></li>
-							<li class="cat-item"><a href="#" >Photo</a></li>
-							<li class="cat-item"><a href="#" >Art</a></li>
-							<li class="cat-item"><a href="#" >Game</a></li>
-							<li class="cat-item"><a href="#" >Film</a></li>
-							<li class="cat-item"><a href="#" >TV</a></li>
+							<li class="cat-item"><a href="http://www.greenstone.org" >Greenstone</a></li>
+							<li class="cat-item"><a href="http://wiki.greenstone.org">Greenstone Wiki</a></li>							
+							<li class="cat-item"><a href="http://www.nzdl.org/cgi-bin/library.cgi" >NZDL</a></li>
+							<li class="cat-item"><a href="http://www.greenstone.org/greenstone3-home">Download Greenstone3</a></li>
 						</ul>
 					</div>
@@ -159,19 +180,62 @@
 	</footer>
 </xsl:template>
+
+
+
+
+<xsl:template name="loginLinks">
+<xsl:variable name="username" select="/page/pageRequest/userInformation/@username"/>
+<xsl:variable name="groups" select="/page/pageRequest/userInformation/@groups"/>
+
+<xsl:choose>
+<xsl:when test="$username">
+<li class="login cat-item"><a href="{$library_name}/admin/AccountSettings?s1.username={$username}">Logged in as: <xsl:value-of select="$username"/></a></li>
+<xsl:if test="contains($groups,'admin')">
+<li class="login cat-item"><a href="{$library_name}/admin/AddUser">Add user</a></li>
+<li class="login cat-item"><a href="{$library_name}/admin/ListUsers">Administration</a></li>
+</xsl:if>
+<li class="login cat-item"><a href="{$library_name}?logout=">Logout</a></li>
+</xsl:when>
+<xsl:otherwise>
+<li class="login cat-item">
+<a href="{$library_name}?a=p&amp;sa=login&amp;redirectURL={$library_name}%3Fa=p%26sa=home">Login
+<xsl:attribute name="title">
+<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'login_tip')"/>
+</xsl:attribute>
+</a>
+</li>
+</xsl:otherwise>
+</xsl:choose>
+</xsl:template>
+
+
+
+
+
+
+
+<xsl:variable name="count" select="count(/page/pageResponse/collection/serviceList/service[@name='ClassifierBrowse']/classifierList/classifier)"/>
+
+
+
+
+
 <xsl:template name="navBar">
 <xsl:choose>
 <xsl:when test="page/pageResponse/collection">
-<xsl:variable name="count" select="count(/page/pageResponse/collection/serviceList/service[@name='ClassifierBrowse']/classifierList/classifier)"/>
+
 <xsl:variable name="currentPage" select="page/pageRequest/@fullURL"/>
 
-<li><a href="{$library_name}">Home</a></li>
+<li><a href="{$library_name}">Home<i><b><xsl:text> </xsl:text></b></i></a></li>
 <li>
-<xsl:if test="page/pageRequest/@subaction='about'"><xsl:attribute name="class">active</xsl:attribute></xsl:if>
-<a href="{$library_name}/collection/{$collNameChecked}/page/about">About</a>
-</li>
-
-<xsl:choose>
-<xsl:when test="$count > 3">
-<li><a href="{$currentPage}">Browse</a>
+<xsl:if test="page/pageRequest/@subaction='about'"><xsl:attribute name="class">current-menu-item</xsl:attribute></xsl:if>
+<a href="{$library_name}/collection/{$collNameChecked}/page/about">About<i><b><xsl:text> </xsl:text></b></i></a>
+</li>
+
+<xsl:choose>
+<xsl:when test="$count > 5">
+<li>
+<xsl:if test="page/pageRequest/@action='b'"><xsl:attribute name="class">current-menu-item</xsl:attribute></xsl:if>
+<a href="{$library_name}/collection/{$collNameChecked}/browse/CL1">Browse<i><b><xsl:text> </xsl:text></b></i></a>
 <ul>
 <xsl:call-template name="Browsing"/>
@@ -185,5 +249,8 @@
 
 <xsl:if test="/page/pageResponse/collection/serviceList/service/@type='query'">
-<li><a href="{$currentPage}">Search</a>
+<xsl:variable name="default_search" select="/page/pageResponse/collection/serviceList/service[@type='query'][1]/@name"/>
+<li>
+<xsl:if test="page/pageRequest/@action='q'"><xsl:attribute name="class">current-menu-item</xsl:attribute></xsl:if>
+<a href="{$library_name}/collection/{$collNameChecked}/search/{$default_search}">Search<i><b><xsl:text> </xsl:text></b></i></a>
 <ul>
 <xsl:for-each select="/page/pageResponse/collection/serviceList/service[@type='query']">
@@ -206,6 +273,6 @@
 <xsl:choose>
 <!-- If this tab is selected then colour it differently -->
-<xsl:when test="util:contains(/page/pageRequest/paramList/param[@name = 'cl' and /page/pageRequest/@action = 'b']/@value, @name)">
-<xsl:attribute name='class'>active</xsl:attribute>
+<xsl:when test="util:contains(/page/pageRequest/paramList/param[@name = 'cl' and /page/pageRequest/@action = 'b']/@value, @name) and $count &lt; 5">
+<xsl:attribute name='class'>current-menu-item</xsl:attribute>
 </xsl:when>
 <xsl:otherwise> </xsl:otherwise>
@@ -230,4 +297,5 @@
 <!-- Add the actual text of the <a> tag -->
 <xsl:value-of select="displayItem[@name='name']"/>
+<xsl:if test="$count &lt; 5"><i><b><xsl:text> </xsl:text></b></i></xsl:if>
 </a>
 </li>
@@ -237,101 +305,2 @@
 </xsl:stylesheet>
 
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-<!--		
-<xsl:template name="navBar">
-<xsl:choose>
-<xsl:when test="page/pageResponse/collection">
-<xsl:variable name="count" select="count(/page/pageResponse/collection/serviceList/service[@name='ClassifierBrowse']/classifierList/classifier)"/>
-<xsl:variable name="currentPage" select="page/pageRequest/@fullURL"/>
-
-<li><a href="{$library_name}">Home<i><b><xsl:text> </xsl:text></b></i></a></li>
-<li>
-<xsl:if test="page/pageRequest/@subaction='about'"><xsl:attribute name="class">current-menu-item</xsl:attribute></xsl:if>
-<a href="{$library_name}/collection/{$collNameChecked}/page/about">About<i><b><xsl:text> </xsl:text></b></i></a>
-</li>
-
-<xsl:choose>
-<xsl:when test="$count > 3">
-<li>
-<xsl:if test="page/pageRequest/@action='b'"><xsl:attribute name="class">current-menu-item</xsl:attribute></xsl:if>
-<a href="{$currentPage}">Browse<i><b><xsl:text> </xsl:text></b></i></a>
-<ul>
-<xsl:call-template name="Browsing"/>
-</ul>
-</li>
-</xsl:when>
-<xsl:otherwise>
-<xsl:call-template name="Browsing"/>
-</xsl:otherwise>
-</xsl:choose>
-
-<xsl:if test="/page/pageResponse/collection/serviceList/service/@type='query'">
-<li><xsl:if test="page/pageRequest/@action='q'"><xsl:attribute name="class">current-menu-item</xsl:attribute></xsl:if><a><xsl:attribute name="href"><xsl:value-of select="$library_name"/>/collection/<xsl:value-of select="$collNameChecked"/>/search/<xsl:value-of select="/page/pageResponse/collection/serviceList/service[@type='query'][1]/@name"/></xsl:attribute>Search<i><b><xsl:text> </xsl:text></b></i></a>
-<ul>
-<xsl:for-each select="/page/pageResponse/collection/serviceList/service[@type='query']">
-<xsl:variable name="search" select="@name"/>
-<xsl:variable name="search_name" select="displayItem[@name='name']"/>
-<li><a href="{$library_name}/collection/{$collNameChecked}/search/{$search}"><xsl:value-of select="$search_name"/></a></li>
-</xsl:for-each>
-</ul>
-</li>
-</xsl:if>
-
-</xsl:when>
-<xsl:otherwise> </xsl:otherwise>
-</xsl:choose>
-</xsl:template>
-
-<xsl:template name="Browsing">
-<xsl:for-each select="/page/pageResponse/collection/serviceList/service[@name='ClassifierBrowse']/classifierList/classifier">
-<li>
-<xsl:choose>
-<xsl:when test="util:contains(/page/pageRequest/paramList/param[@name = 'cl' and /page/pageRequest/@action = 'b']/@value, @name)">
-<xsl:attribute name='class'>current-menu-item</xsl:attribute>
-</xsl:when>
-<xsl:otherwise> </xsl:otherwise>
-</xsl:choose>
-
-<a>
-
-<xsl:if test="displayItem[@name='description']">
-<xsl:attribute name='title'><xsl:value-of select="displayItem[@name='description']"/></xsl:attribute>
-</xsl:if>
-
-
-<xsl:choose>
-<xsl:when test="@name">
-<xsl:attribute name="href"><xsl:value-of select="$library_name"/>/collection/<xsl:value-of select="/page/pageResponse/collection[@name=$collNameChecked]/@name"/>/browse/<xsl:value-of select="@name"/></xsl:attribute>
-</xsl:when>
-<xsl:otherwise>
-<xsl:attribute name="href"><xsl:value-of select="$library_name"/>/collection/<xsl:value-of select="/page/pageResponse/collection[@name=$collNameChecked]/@name"/>/browse/1</xsl:attribute>
-</xsl:otherwise>
-</xsl:choose>
-
-<xsl:value-of select="displayItem[@name='name']"/><i><b><xsl:text> </xsl:text></b></i>
-</a>
-</li>
-</xsl:for-each>
-</xsl:template>		
-	-->	
-
-
-
-
-
-
Index: /documentation/trunk/tutorial_sample_files/libraries/althor/transform/pages/help.xsl
===================================================================
--- /documentation/trunk/tutorial_sample_files/libraries/althor/transform/pages/help.xsl	(revision 28601)
+++ /documentation/trunk/tutorial_sample_files/libraries/althor/transform/pages/help.xsl	(revision 28601)
@@ -0,0 +1,130 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0"
+	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+	xmlns:java="http://xml.apache.org/xslt/java"
+	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
+	xmlns:gslib="http://www.greenstone.org/skinning"
+	extension-element-prefixes="java util"
+	exclude-result-prefixes="java util">
+
+	<!-- use the 'main' layout -->
+	<xsl:include href="layouts/main.xsl"/>
+  <xsl:variable name="help_default" select="concat('default', '2')"/>
+	<!-- set page title -->
+	<xsl:template name="pageTitle"><xsl:value-of select="util:getInterfaceText($help_default, /page/@lang, 'help_b')"/></xsl:template>
+
+	<!-- set page breadcrumbs -->
+	<xsl:template name="breadcrumbs">
+		<gslib:siteLink/><gslib:rightArrow/>
+		<xsl:if test="/page/pageResponse/collection">
+			<gslib:collectionNameLinked/><gslib:rightArrow/>
+		</xsl:if>
+	</xsl:template>
+
+	<!-- the page content -->
+	<xsl:template match="page">
+		<xsl:call-template name="helpTopics"/>
+		<xsl:choose>
+      <xsl:when test="/page/pageResponse/collection">
+			<xsl:call-template name="findingInformationHelp"/>
+	</xsl:when>
+      <xsl:otherwise>
+	<xsl:call-template name="homePageHelp"/>
+	</xsl:otherwise>
+		</xsl:choose>
+		<xsl:call-template name="readingDocsHelp"/>
+		<xsl:call-template name="searchingHelp"/>
+		<xsl:call-template name="preferencesHelp"/>
+	</xsl:template>
+	
+	<xsl:template name="helpTopics">
+		
+	</xsl:template>
+
+  <xsl:template name="homePageHelp">
+    home page help
+  </xsl:template>
+	<xsl:template name="findingInformationHelp">
+		<xsl:variable name="searchEnabled">
+			<xsl:choose>
+				<xsl:when test="/page/pageResponse/collection[@name=$collName]/serviceList/service[@type='query']">1</xsl:when>
+				<xsl:otherwise>0</xsl:otherwise>
+			</xsl:choose>
+		</xsl:variable>
+		
+		<xsl:variable name="numClassifiers">
+			<xsl:value-of select="count(/page/pageResponse/collection[@name=$collName]/serviceList/service[@name = 'ClassifierBrowse']/classifierList/classifier)"/>
+		</xsl:variable>
+		<xsl:variable name="collection" select="/page/pageResponse/collection[@name=$collName]/displayItem[@name='name']"/>
+
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.findinginformationtitle', $collection)"/>
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.findinginformation', $searchEnabled + $numClassifiers)"/>
+		
+		<!-- using actual <ul> and <li> tags here would cause the XML parser to break -->
+		<xsl:text disable-output-escaping="yes">&lt;ul&gt;</xsl:text>
+		<xsl:if test="$searchEnabled = 1">
+			<xsl:text disable-output-escaping="yes">&lt;li&gt;</xsl:text>
+			<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.searchdesc')"/>
+			<xsl:text disable-output-escaping="yes">&lt;/li&gt;</xsl:text>
+		</xsl:if>
+		
+		<xsl:for-each select="/page/pageResponse/collection[@name=$collName]/serviceList/service[@name = 'ClassifierBrowse']/classifierList/classifier">
+			<xsl:text disable-output-escaping="yes">&lt;li&gt;</xsl:text>
+			<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.browsedesc', ./displayItem[@name = 'name'])"/>
+			<xsl:text disable-output-escaping="yes">&lt;/li&gt;</xsl:text>
+		</xsl:for-each>
+		<xsl:text disable-output-escaping="yes">&lt;/ul&gt;</xsl:text>
+	</xsl:template>
+	
+	<xsl:template name="readingDocsHelp">
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.readingdocstitle')"/>
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.readingdocs')"/>
+		
+		<table>
+			<tr>
+				<td colspan="2"><img src="interfaces/default/images/bookshelf.png"/></td>
+				<td><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.openbookshelf')"/></td>
+			</tr>
+			<tr>
+				<td><img src="interfaces/default/images/previous.png"/></td>
+				<td><img src="interfaces/default/images/next.png"/></td>
+				<td><xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.sectionarrows')"/></td>
+			</tr>
+		</table>
+	</xsl:template>
+	
+	<xsl:template name="searchingHelp">
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.searchingtitle')"/>
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.searching')"/>
+		
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.querytermstitle')"/>
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.queryterms')"/>
+		
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.querytypetitle')"/>
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.querytype')"/>
+		
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.queryscopetitle')"/>
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.queryscope')"/>
+	</xsl:template>
+	
+	<xsl:template name="preferencesHelp">
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.changingpreferencestitle')"/>
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.changingpreferences')"/>
+		
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.collectionpreferencestitle')"/>
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.collectionpreferences')"/>
+		
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.languagepreferencestitle')"/>
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.languagepreferences')"/>
+		
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.presentationpreferencestitle')"/>
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.presentationpreferences')"/>
+		
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.searchpreferencestitle')"/>
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.searchpreferences1')"/>
+		<xsl:if test="/page/pageResponse/collection[@name=$collName and (@type='mgpp' or @type='mg')]">
+			<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.mgsearchpreferences')"/>
+		</xsl:if>
+		<xsl:value-of disable-output-escaping="yes" select="util:getInterfaceText($help_default, /page/@lang, 'help.searchpreferences2')"/>
+	</xsl:template>
+</xsl:stylesheet>