Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 28600)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 28614)
@@ -617,6 +617,9 @@
 <Version initial="2.60" current="2.86|3.05"/>
 <Content>
-<NumberedItem>
-<Text id="0338aa">Using your Windows file browser, locate the folder <Path>sample_files &rarr; images &rarr; image-e</Path>. Copy this entire folder into your <MajorVersion number="2"><Path>Greenstone &rarr; collect</Path> folder.</MajorVersion><MajorVersion number="3"><Path>Greenstone &rarr; web &rarr; sites &rarr; localsite &rarr; collect</Path> folder.</MajorVersion></Text>
+<Comment>
+<Text id="sic-c1">In this tutorial, we create a new collection that is based on the configuration of another collection.</Text>
+</Comment>
+<NumberedItem>
+<Text id="0338aa">In a file browser, locate the folder <Path>sample_files &rarr; images &rarr; image-e</Path>. Copy this entire folder into your <MajorVersion number="2"><Path>Greenstone &rarr; collect</Path> folder.</MajorVersion><MajorVersion number="3"><Path>Greenstone &rarr; web &rarr; sites &rarr; localsite &rarr; collect</Path> folder.</MajorVersion></Text>
 </NumberedItem>
 <NumberedItem>
@@ -1227,6 +1230,5 @@
 <Version initial="2.70" current="2.86|3.05"/>
 <Content>
-<Text id="ep-2">Greenstone converts PDF files to HTML using third-party software: <AutoText text="pdftohtml.pl" type="italics"/>. This lets users view these documents even if they don't have the PDF software installed. Unfortunately, sometimes the formatting of the resulting HTML files is not so good.</Text>
-<Text id="ep-3">This exercise explores some extra options to the PDF plugin which may produce a nicer version for display. Some of these options use the standard pdftohtml program, others use ImageMagick and Ghostscript to convert the file to a series of images. Ghostscript is a program that can convert Postscript and PDF files to other formats. You can download it from <Link>http://www.cs.wisc.edu/~ghost/</Link> (follow the link to the current stable release).</Text>
+<Text id="ep-2">Greenstone converts PDF files to HTML using third-party software: <AutoText text="pdftohtml.pl" type="italics"/>. This lets users view these documents even if they don't have the PDF software installed. Unfortunately, sometimes the formatting of the resulting HTML files is not so good. This exercise explores some extra options to the PDF plugin which may produce a nicer version for display.</Text>
 <NumberedItem>
 <Text id="ep-3a">In the Librarian Interface, start a new collection called "PDF collection" and base it on <AutoText key="glidict::NewCollectionPrompt.NewCollection"/>.</Text>
@@ -1254,5 +1256,5 @@
 <NumberedItem>
 <Text id="ep-6">In the <AutoText key="glidict::CDM.GUI.Plugins"/> section of the <AutoText key="glidict::GUI.Design"/> panel, configure <AutoText text="PDFPlugin"/>. Switch on the <AutoText text="use_sections"/> option. </Text>
-<Text id="ep-6a">In the <AutoText key="glidict::CDM.GUI.Indexes"/> section, check the <AutoText key="glidict::CDM.LevelManager.Section"/> checkbox to build the indexes on section level as well as document level.</Text>
+<Text id="ep-6a">In the <AutoText key="glidict::CDM.GUI.Indexes"/> section, ensure that both the  <AutoText key="glidict::CDM.LevelManager.Section"/> and <AutoText key="glidict::CDM.LevelManager.Document"/> boxes are checked. This will build the indexes on both the section level and the document level.</Text>
 <Text id="ep-7"><b>Build</b> and <b>preview</b> the collection. View the text versions of some of the PDF documents. <MajorVersion number="2">Note that these are now split into a series of pages, and a "go to page" box is provided. 
 </MajorVersion>
@@ -1905,14 +1907,57 @@
 </Comment>
 <NumberedItem>
-<MajorVersion number="2"><Text id="0475">Delete the contents of the <AutoText key="glidict::CDM.FormatManager.Editor"/> box and replace it with this simpler version:</Text></MajorVersion>
-<MajorVersion number="3"><Text id="0475-3">Replace the <AutoText text="documentNode"/> template of the <AutoText text="browse"/> format feature with:</Text></MajorVersion>
-<Format>
-<MajorVersion number="2">
+<MajorVersion number="2">
+<Text id="0475">Delete the contents of the <AutoText key="glidict::CDM.FormatManager.Editor"/> box and replace it with this simpler version:</Text>
+<Format>
 &lt;td&gt;[link][icon][/link]&lt;/td&gt; <br/>
 &lt;td&gt;[ex.Title]&lt;br&gt;<br/>
 &nbsp;&nbsp;&nbsp;&nbsp;&lt;i&gt;([ex.Source])&lt;/i&gt;<br/>
 &lt;/td&gt;
-</MajorVersion>
-<MajorVersion number="3">
+</Format>
+</MajorVersion>
+<MajorVersion number="3">
+<Text id="0475-3">In the <AutoText text="browse"/> format feature, replace the default <AutoText text="documentNode"/> template shown on the left with the simpler version on the right. <i>(The highlighted lines on the left are the ones that have been removed or modified.)</i></Text>
+<table>
+<th>
+<td><Text id="format-tudor-1"><b><Tab n="1"/>Change:</b></Text></td>
+<td><Text id="format-tudor-2"><b>To:</b></Text></td>
+</th>
+<tr>
+<td valign="bottom">
+<Format>
+ &lt;gsf:template match="documentNode"&gt;<br/>
+    <Tab n="1"/>&lt;td valign="top"&gt;<br/>
+      <Tab n="2"/>&lt;gsf:link type="document"&gt;<br/>
+        <Tab n="3"/>&lt;gsf:icon type="document"/&gt;<br/>
+      <Tab n="2"/>&lt;/gsf:link&gt;<br/>
+    <Tab n="1"/>&lt;/td&gt;<br/>
+    <Tab n="1"/><highlight>&lt;td valign="top"&gt;</highlight><br/>
+     <Tab n="2"/><highlight>&lt;gsf:link type="source"&gt;</highlight><br/>
+        <Tab n="3"/><highlight>&lt;gsf:choose-metadata&gt;</highlight><br/>
+          <Tab n="4"/><highlight>&lt;gsf:metadata name="thumbicon"/&gt;</highlight><br/>
+          <Tab n="4"/><highlight>&lt;gsf:metadata name="srcicon"/&gt;</highlight><br/>
+        <Tab n="3"/><highlight>&lt;/gsf:choose-metadata&gt;</highlight><br/>
+      <Tab n="2"/><highlight>&lt;/gsf:link&gt;</highlight><br/>
+   <Tab n="1"/><highlight>&lt;/td&gt;</highlight><br/>
+   <Tab n="1"/>&lt;td valign="top"&gt;<br/>
+     <Tab n="2"/>&lt;gsf:link type="document"&gt;<br/>
+ <highlight>&lt;!--</highlight><br/>
+ <highlight>Defined in the global format statement</highlight><br/>
+ <highlight>--&gt;</highlight><br/>
+         <Tab n="3"/><highlight>&lt;xsl:call-template name="choose-title"/&gt;</highlight><br/>
+         <Tab n="3"/><highlight>&lt;gsf:switch&gt;</highlight><br/>
+           <Tab n="4"/><highlight>&lt;gsf:metadata name="Source"/&gt;</highlight><br/>
+           <Tab n="4"/><highlight>&lt;gsf:when test="exists"&gt;</highlight><br/>
+           <Tab n="5"/>&lt;br/&gt;<br/>
+          <Tab n="5"/>&lt;i&gt;(&lt;gsf:metadata name="Source"/&gt;)&lt;/i&gt;<br/>
+           <Tab n="4"/><highlight>&lt;/gsf:when&gt;</highlight><br/>
+         <Tab n="3"/><highlight>&lt;/gsf:switch&gt;</highlight><br/>
+       <Tab n="2"/>&lt;/gsf:link&gt;<br/>
+     <Tab n="1"/>&lt;/td&gt;<br/>
+&lt;/gsf:template&gt;<br/>
+</Format>
+</td>
+<td valign="bottom">
+<Format>
   &lt;gsf:template match=&quot;documentNode&quot;&gt;<br/>
     <Tab n="1"/>&lt;td valign=&quot;top&quot;&gt;<br/>
@@ -1920,33 +1965,19 @@
         <Tab n="3"/>&lt;gsf:icon type=&quot;document&quot;/&gt;<br/>
       <Tab n="2"/>&lt;/gsf:link&gt;<br/>
-    <Tab n="1"/>&lt;/td&gt;<br/>
+    <Tab n="1"/>&lt;/td&gt;<br/><br/><br/><br/><br/><br/><br/><br/><br/> 
     <Tab n="1"/>&lt;td valign=&quot;top&quot;&gt;<br/>
-      <Tab n="2"/>&lt;gsf:link type="document"&gt;<br/>
-        <Tab n="3"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br/>
+      <Tab n="2"/>&lt;gsf:link type="document"&gt;<br/><br/><br/><br/>
+        <Tab n="3"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br/><br/><br/><br/>
         <Tab n="3"/>&lt;br/&gt;<br/>
-        <Tab n="3"/>&lt;i&gt;(&lt;gsf:metadata name=&quot;Source&quot;/&gt;)&lt;/i&gt;<br/>
+        <Tab n="3"/>&lt;i&gt;(&lt;gsf:metadata name=&quot;Source&quot;/&gt;)&lt;/i&gt;<br/><br/><br/>
       <Tab n="2"/>&lt;/gsf:link&gt;<br/>
     <Tab n="1"/>&lt;/td&gt;<br/>
   &lt;/gsf:template&gt;
-</MajorVersion>
-</Format>
+</Format> 
+</td>
+</tr>
+</table><br/>
+</MajorVersion>
 <Text id="0476"><b>Preview</b> the result (you don't need to build the collection, because changes to format statements take effect <MajorVersion number="2">immediately</MajorVersion><MajorVersion number="3">when you press the <b>Preview Collection</b> button</MajorVersion>). Look <MajorVersion number="2">at some search results and </MajorVersion>at the <MajorVersion number="2"><AutoText key="coredm::_Global:labelTitle_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Title.buttonname" /></MajorVersion> list. <MajorVersion number="2">They are</MajorVersion><MajorVersion number="3">It is</MajorVersion> just the same as before! Under most circumstances this far simpler format statement is entirely equivalent to Greenstone's more complex default.</Text>
-<MajorVersion number="3">
-<Text id="0476-3">We can also reduce the <AutoText text="VList classifierNode"/> template of the <AutoText text="browse"/> format feature further, also without changing the display. Replace it with:</Text>
-<Format>
-  &lt;gsf:template match=&quot;classifierNode[@classifierStyle = 'VList']&quot;&gt;<br/>
-    <Tab n="1"/>&lt;td valign=&quot;top&quot;&gt;<br/>
-      <Tab n="2"/>&lt;gsf:link type=&quot;classifier&quot;&gt;<br/>
-        <Tab n="3"/>&lt;gsf:icon type=&quot;classifier&quot;/&gt;<br/>
-      <Tab n="2"/>&lt;/gsf:link&gt;<br/>
-    <Tab n="1"/>&lt;/td&gt;<br/>
-    <Tab n="1"/>&lt;td valign=&quot;top&quot;&gt;<br/>
-      <Tab n="2"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br/>
-      <Tab n="2"/>&lt;br/&gt;<br/>
-      <Tab n="2"/>&lt;i&gt;(&lt;gsf:metadata name=&quot;Source&quot;/&gt;)&lt;/i&gt;<br/>
-    <Tab n="1"/>&lt;/td&gt;<br/>
-  &lt;/gsf:template&gt;
-</Format>
-</MajorVersion>
 <MajorVersion number="2">
 <Comment>
@@ -1960,5 +1991,5 @@
 </MajorVersion>
 <MajorVersion number="3">
-<Text id="0482-3">Since we edited the <AutoText text="browse"/> format feature, the same format statements are used for the titles, and all nodes in the subject hierarchy&mdash;including internal nodes (that is, bookshelves). The <AutoText key="glidict::CDM.FormatManager.Feature"/> menu can be used to restrict a format statement to a specific classifier and its nodes. We will override this format statement for the hierarchical <i>subject</i> classifier. In the <AutoText key="glidict::CDM.FormatManager.Feature"/> menu, scroll down to the item that says</Text>
+<Text id="0482-3">Since we edited the <AutoText text="browse"/> format feature, the same format statements are used for documents listed in the <b>titles</b> list classifier and under each of the bookshelf nodes in the <b>subject</b> hierarchy classifier. The <AutoText key="glidict::CDM.FormatManager.Feature"/> menu can be used to restrict a format statement to a specific classifier and its nodes. We will override this format statement for the hierarchical <i>subject</i> classifier. In the <AutoText key="glidict::CDM.FormatManager.Feature"/> menu, scroll down to the item that says</Text>
 </MajorVersion>
 <Indent>
@@ -1971,47 +2002,86 @@
 </MajorVersion>
 <MajorVersion number="3">
-<Text id="0484-3">Edit the <AutoText key="glidict::CDM.FormatManager.Editor"/> box below to contain the following format statements for the <AutoText text="documentNode"/> and <AutoText text="VList classifierNode"/> templates. (The changes to the <AutoText text="documentNode"/> template are mostly the same as before, but without reference to the Source document. This time, the <AutoText text="VList classifierNode"/> template is simplified further still.)</Text>
-</MajorVersion>
-<Format>
-<MajorVersion number="2">
+<Text id="0484-3">Edit the <AutoText key="glidict::CDM.FormatManager.Editor"/> box, replacing the <AutoText text="documentNode"/> template on the left with the one on the right. (The changes are mostly the same as before, but without reference to the Source document name.)</Text>
+</MajorVersion>
+
+<MajorVersion number="2">
+<Format>
 &lt;td&gt;[link][icon][/link]&lt;/td&gt;<br/>
 &lt;td&gt;[ex.Title]&lt;/td&gt;
-</MajorVersion>
-<MajorVersion number="3">
-&lt;gsf:template match=&quot;documentNode&quot;&gt;<br/>
+</Format> 
+</MajorVersion>
+<MajorVersion number="3">
+<table>
+<th>
+<td><Text id="format-tudor-3"><b><Tab n="1"/>Change:</b></Text></td>
+<td><Text id="format-tudor-4"><b>To:</b></Text></td>
+</th>
+<tr>
+<td valign="bottom">
+<Format>
+ &lt;gsf:template match="documentNode"&gt;<br/>
+    <Tab n="1"/>&lt;td valign="top"&gt;<br/>
+      <Tab n="2"/>&lt;gsf:link type="document"&gt;<br/>
+        <Tab n="3"/>&lt;gsf:icon type="document"/&gt;<br/>
+      <Tab n="2"/>&lt;/gsf:link&gt;<br/>
+    <Tab n="1"/>&lt;/td&gt;<br/>
+    <Tab n="1"/><highlight>&lt;td valign="top"&gt;</highlight><br/>
+     <Tab n="2"/><highlight>&lt;gsf:link type="source"&gt;</highlight><br/>
+        <Tab n="3"/><highlight>&lt;gsf:choose-metadata&gt;</highlight><br/>
+          <Tab n="4"/><highlight>&lt;gsf:metadata name="thumbicon"/&gt;</highlight><br/>
+          <Tab n="4"/><highlight>&lt;gsf:metadata name="srcicon"/&gt;</highlight><br/>
+        <Tab n="3"/><highlight>&lt;/gsf:choose-metadata&gt;</highlight><br/>
+      <Tab n="2"/><highlight>&lt;/gsf:link&gt;</highlight><br/>
+   <Tab n="1"/><highlight>&lt;/td&gt;</highlight><br/>
+   <Tab n="1"/>&lt;td valign="top"&gt;<br/>
+     <Tab n="2"/>&lt;gsf:link type="document"&gt;<br/>
+ <highlight>&lt;!--</highlight><br/>
+ <highlight>Defined in the global format statement</highlight><br/>
+ <highlight>--&gt;</highlight><br/>
+         <Tab n="3"/><highlight>&lt;xsl:call-template name="choose-title"/&gt;</highlight><br/>
+         <Tab n="3"/><highlight>&lt;gsf:switch&gt;</highlight><br/>
+           <Tab n="4"/><highlight>&lt;gsf:metadata name="Source"/&gt;</highlight><br/>
+           <Tab n="4"/><highlight>&lt;gsf:when test="exists"&gt;</highlight><br/>
+           <Tab n="5"/><highlight>&lt;br/&gt;</highlight><br/>
+          <Tab n="5"/><highlight>&lt;i&gt;(&lt;gsf:metadata name="Source"/&gt;)&lt;/i&gt;</highlight><br/>
+           <Tab n="4"/><highlight>&lt;/gsf:when&gt;</highlight><br/>
+         <Tab n="3"/><highlight>&lt;/gsf:switch&gt;</highlight><br/>
+       <Tab n="2"/>&lt;/gsf:link&gt;<br/>
+     <Tab n="1"/>&lt;/td&gt;<br/>
+&lt;/gsf:template&gt;<br/>
+</Format>
+</td>
+<td valign="bottom">
+<Format>
+  &lt;gsf:template match=&quot;documentNode&quot;&gt;<br/>
     <Tab n="1"/>&lt;td valign=&quot;top&quot;&gt;<br/>
       <Tab n="2"/>&lt;gsf:link type=&quot;document&quot;&gt;<br/>
         <Tab n="3"/>&lt;gsf:icon type=&quot;document&quot;/&gt;<br/>
       <Tab n="2"/>&lt;/gsf:link&gt;<br/>
-    <Tab n="1"/>&lt;/td&gt;<br/>
+    <Tab n="1"/>&lt;/td&gt;<br/><br/><br/><br/><br/><br/><br/><br/><br/> 
     <Tab n="1"/>&lt;td valign=&quot;top&quot;&gt;<br/>
-      <Tab n="2"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br/>
-    <Tab n="1"/>&lt;/td&gt;<br/>
-  &lt;/gsf:template&gt;<br/>
-<br/>
-  &lt;gsf:template match=&quot;classifierNode[@classifierStyle = 'VList']&quot;&gt;<br/>
-    <Tab n="1"/>&lt;td valign=&quot;top&quot;&gt;<br/>
-      <Tab n="2"/>&lt;gsf:link type=&quot;classifier&quot;&gt;<br/>
-        <Tab n="3"/>&lt;gsf:icon type=&quot;classifier&quot;/&gt;<br/>
+      <Tab n="2"/>&lt;gsf:link type="document"&gt;<br/><br/><br/><br/>
+        <Tab n="3"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br/><br/><br/><br/><br/><br/><br/><br/>
       <Tab n="2"/>&lt;/gsf:link&gt;<br/>
     <Tab n="1"/>&lt;/td&gt;<br/>
-    <Tab n="1"/>&lt;td valign=&quot;top&quot;&gt;<br/>
-      <Tab n="2"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br/>
-    <Tab n="1"/>&lt;/td&gt;<br/>
   &lt;/gsf:template&gt;
-</MajorVersion>
 </Format> 
-</NumberedItem>
-<NumberedItem>
-<Text id="0486"><b>Preview</b> the <MajorVersion number="2"><AutoText key="coredm::_Global:labelSubject_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Subject.buttonname" /></MajorVersion> list in the collection. <MajorVersion number="2">First, the offending "()" has disappeared from the bookshelves. Second, when</MajorVersion><MajorVersion number="3">When</MajorVersion> you get down to a list of documents in the subject hierarchy, the filename does not appear beside the title, because <AutoText key="metadata::ex.Source"/> is not specified in the format statement and this format statement applies to all nodes in the <i>subject</i> classifier. <MajorVersion number="2">Note that the search results and titles lists have not changed: they still display the filename underneath the title.</MajorVersion><MajorVersion number="3">Note that the titles list has not changed: it still displays the filename underneath the title.</MajorVersion></Text>
+</td>
+</tr>
+</table><br/>
+</MajorVersion>
+
+</NumberedItem>
+<NumberedItem>
+<MajorVersion number="2">
+<Text id="0486-a"><b>Preview</b> the <AutoText key="coredm::_Global:labelSubject_"/> list in the collection. First, the offending "()" has disappeared from the bookshelves. Second, when you get down to a list of documents in the subject hierarchy, the filename does not appear beside the title, because <AutoText key="metadata::ex.Source"/> is not specified in the format statement and this format statement applies to all nodes in the <i>subject</i> classifier. Note that the search results and titles lists have not changed: they still display the filename underneath the title.</Text>
+</MajorVersion>
+<MajorVersion number="3">
+<Text id="0486"><b>Preview</b> the <AutoText key="gs3::metadata_names::Subject.buttonname" /> list in the collection. When you get down to a list of documents in the subject hierarchy, the filename does not appear beside the title, because <AutoText text="Source" /> is not specified in the format statement and this format statement applies to all <b>documentNodes</b> in the <i>subject</i> classifier. Note that the <AutoText key="gs3::metadata_names::Title.buttonname" /> classifier has not changed: it still displays the filename underneath the title.</Text>
+</MajorVersion>
 </NumberedItem>
 <NumberedItem>
 <MajorVersion number="2">
 <Text id="0487">Let's change the search results format so that <AutoText key="metadata::dc.Subject"/> metadata is displayed here instead of the filename. In the <AutoText key="glidict::CDM.FormatManager.Feature"/> menu (under <AutoText key="glidict::CDM.GUI.Formats"/> on the <AutoText key="glidict::GUI.Format"/> panel), scroll down to the item <AutoText text="Search"/> and select it. Click <AutoText key="glidict::CDM.FormatManager.Add" type="button"/> to add this format statement to the collection. Change the <AutoText key="glidict::CDM.FormatManager.Editor"/> box below to read</Text>
-</MajorVersion>
-<MajorVersion number="3">
-<Text id="0487-3">Select the <AutoText text="search"/> format feature for some editing. </Text>
-</MajorVersion>
-<MajorVersion number="2">
 <Text id="0487-3-a">Replace the line:</Text>
 <Format>
@@ -2023,7 +2093,19 @@
 </MajorVersion>
 <MajorVersion number="3">
-<Text id="0487-3-b">After the final <Format>&lt;/gsf:link&gt;</Format>, add the line:</Text>
-<Format>
-  &lt;br /&gt;&lt;gsf:metadata name=&quot;dc.Subject&quot;/&gt;<br/>
+<Text id="0487-3">Let's change the search results' format statement so that <AutoText key="metadata::dc.Subject"/> metadata is displayed below the title. Select the <AutoText text="search"/> format feature. Insert the highlighted line:</Text>
+<Format>
+  &lt;gsf:template match="documentNode"&gt;<br/>
+    <Tab n="1"/>&lt;td valign="top"&gt;<br/>
+      <Tab n="2"/>&lt;gsf:link type="document"&gt;<br/>
+       <Tab n="3"/> &lt;gsf:icon type="document"/&gt;<br/>
+      <Tab n="2"/>&lt;/gsf:link&gt;<br/>
+    <Tab n="1"/>&lt;/td&gt;<br/>
+    <Tab n="1"/>&lt;td&gt;<br/>
+      <Tab n="2"/>&lt;gsf:link type="document"&gt;<br/>
+       <Tab n="3"/> &lt;xsl:call-template name="choose-title"/&gt;<br/>
+      <Tab n="2"/>&lt;/gsf:link&gt;<br/>
+	    <Tab n="2"/><highlight>&lt;br /&gt;&lt;gsf:metadata name=&quot;dc.Subject&quot;/&gt;</highlight><br/>
+    <Tab n="1"/>&lt;/td&gt;<br/>
+  &lt;/gsf:template&gt;<br/>
 </Format> 
 </MajorVersion>
@@ -2038,8 +2120,13 @@
 <table><tr><td><img width='15' height='20' src="../tutorial_files/itext.gif" /></td><td width='408' valign='top'>A discussion of question five from Tudor Quiz: Henry VIII <br/>
 Tudor period|Others</td></tr></table>
-<Text id="0493">(The vertical bar appears because this <AutoText key="metadata::dc.Subject"/> metadata is hierarchical metadata. Unfortunately there is no way to get at individual components of the hierarchy. For most metadata, such as title and author, this isn't a problem.)</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0494">Finally, let's return to the <MajorVersion number="2"><AutoText key="coredm::_Global:labelSubject_"/></MajorVersion><MajorVersion number="3"><AutoText key="gs3::metadata_names::Subject.buttonname" /></MajorVersion> hierarchy and learn how to do different things to the bookshelves and to the documents themselves. <MajorVersion number="2">In the <AutoText key="glidict::CDM.FormatManager.Feature"/> menu, re-select the item</MajorVersion><MajorVersion number="3">Reselect the format feature for</MajorVersion></Text>
+<Text id="0493">(The vertical bar appears because this <AutoText key="metadata::dc.Subject"/> metadata is hierarchical metadata. Unfortunately there is no easy way to get at individual components of the hierarchy. For most metadata, such as title and author, this isn't a problem.)</Text>
+</NumberedItem>
+<NumberedItem>
+<MajorVersion number="2">
+<Text id="0494">Finally, let's return to the <AutoText key="coredm::_Global:labelSubject_"/> hierarchy and learn how to modify the bookshelves. In the <AutoText key="glidict::CDM.FormatManager.Feature"/> menu, re-select the item</Text>
+</MajorVersion>
+<MajorVersion number="3">
+<Text id="0494-a">Finally, let's return to the <AutoText key="gs3::metadata_names::Subject.buttonname" /> hierarchy and modify the bookshelf display. Reselect the format feature for</Text>
+</MajorVersion>
 <Indent>
 CL2<MajorVersion number="2">:</MajorVersion> Hierarchy -metadata <AutoText key="metadata::dc.Subject" type="plain"/>
@@ -2059,21 +2146,25 @@
 </MajorVersion>
 <MajorVersion number="3">
-<Text id="0495-3">For the <AutoText text="documentNode"/> template, adjust its display of the title to:</Text>
-<Format>
-  &lt;td valign=&quot;top&quot;&gt;<br/>
-    <Tab n="1"/>&lt;b&gt;Title:&lt;/b&gt; &lt;gsf:metadata name=&quot;Title&quot;/&gt;<br/>
-  &lt;/td&gt;
-</Format>
-<Text id="0496-3">Next adjust the title display of the <AutoText text="VList classifierNode"/> template too:</Text>
-<Format>
-  &lt;td valign=&quot;top&quot;&gt;<br/>
-    <Tab n="1"/>&lt;b&gt;Bookshelf title:&lt;/b&gt; &lt;gsf:metadata name=&quot;Title&quot;/&gt;<br/>
-  &lt;/td&gt;
-</Format>
-</MajorVersion>
-</NumberedItem>
-<NumberedItem>
-<Text id="0498"><b>Preview</b> the collection and examine the subject hierarchy again to see the effect of your changes. Bookshelves should say <AutoText text="Bookshelf title:"/> and then the title, while documents will display <AutoText text="Title:"/> and the title.<MajorVersion number="2"> Note that the number of documents in the bookshelf is not displayed: we are using <Format>[numleafdocs]</Format> to test what kind of item in the list we are at, but we are not displaying it.</MajorVersion></Text>
-</NumberedItem>
+<Text id="0495-3">Scroll down to the <AutoText text="VList classifierNode"/> template, and add in the highlighted statement:</Text>
+<Format>
+  &lt;gsf:template match="classifierNode[@classifierStyle = 'VList']"&gt;<br/>
+    <Tab n="1"/>&lt;td valign="top"&gt;<br/>
+      <Tab n="2"/>&lt;gsf:link type="classifier"&gt;<br/>
+        <Tab n="3"/>&lt;gsf:icon type="classifier"/&gt;<br/>
+      <Tab n="2"/>&lt;/gsf:link&gt;<br/>
+    <Tab n="1"/>&lt;/td&gt;<br/>
+    <Tab n="1"/>&lt;td valign="top"&gt;<br/>
+   <Tab n="2"/><highlight>&lt;b&gt;Bookshelf title:&lt;/b&gt;</highlight>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br/>
+    <Tab n="1"/>&lt;/td&gt;<br/>
+  &lt;/gsf:template&gt;<br/>
+</Format>
+<Text id="0496-3"><b>Preview</b> the collection and examine the subject hierarchy again to see the effect of your changes. Bookshelves should now say <AutoText text="Bookshelf title:"/> and then the subject name (which is the "title" of the bookshelf).</Text>
+</MajorVersion>
+</NumberedItem>
+<MajorVersion number="2">
+<NumberedItem>
+<Text id="0498"><b>Preview</b> the collection and examine the subject hierarchy again to see the effect of your changes. Bookshelves should say <AutoText text="Bookshelf title:"/> and then the title, while documents will display <AutoText text="Title:"/> and the title. Note that the number of documents in the bookshelf is not displayed: we are using <Format>[numleafdocs]</Format> to test what kind of item in the list we are at, but we are not displaying it.</Text>
+</NumberedItem>
+</MajorVersion>
 </Content>
 </Tutorial>