Index: main/trunk/gli/classes/dictionary.properties
===================================================================
--- main/trunk/gli/classes/dictionary.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary.properties	(revision 28626)
@@ -765,7 +765,7 @@
 Menu.Copy_Collection:Copy this collection to...
 Menu.Edit:Edit
-Menu.Edit_Copy:Copy (ctrl-c)
-Menu.Edit_Cut:Cut (ctrl-x)
-Menu.Edit_Paste:Paste (ctrl-v)
+Menu.Edit_Copy:Copy ({0}-c)
+Menu.Edit_Cut:Cut ({0}-x)
+Menu.Edit_Paste:Paste ({0}-v)
 Menu.Expand:Open Folder
 Menu.Explode_Metadata_Database:Explode metadata database
Index: main/trunk/gli/classes/dictionary_am.properties
===================================================================
--- main/trunk/gli/classes/dictionary_am.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary_am.properties	(revision 28626)
@@ -1036,7 +1036,7 @@
 Menu.Edit:á á­á³á¥  
 Menu.Edit_Copy:á
-á³ (ctrl-c)  
-Menu.Edit_Cut:áášá¥ (ctrl-x)  
-Menu.Edit_Paste:áá¥á (ctrl-v)  
+á³ ({0}-c)  
+Menu.Edit_Cut:áášá¥ ({0}-x)  
+Menu.Edit_Paste:áá¥á ({0}-v)  
 Menu.Expand:á áá á­ááµ  
 Menu.Explode_Metadata_Database:ášáá³á³á³ á³á³á€á á áµá  
Index: main/trunk/gli/classes/dictionary_ar.properties
===================================================================
--- main/trunk/gli/classes/dictionary_ar.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary_ar.properties	(revision 28626)
@@ -2184,7 +2184,7 @@
 ÙØ¹Ø© Ø§ÙÙ ....
 Menu.Edit:ØªØ­Ø¯ÙØ«
-Menu.Edit_Copy:ÙØ³Ø® (ctrl-c)
-Menu.Edit_Cut:ÙØ·Ø¹ (ctrl-x)
-Menu.Edit_Paste:ÙØµÙ (ctrl-v)
+Menu.Edit_Copy:ÙØ³Ø® ({0}-c)
+Menu.Edit_Cut:ÙØ·Ø¹ ({0}-x)
+Menu.Edit_Paste:ÙØµÙ ({0}-v)
 Menu.Expand:ÙØªØ­ Ù
 Ø¬ÙØ¯
Index: main/trunk/gli/classes/dictionary_ca.properties
===================================================================
--- main/trunk/gli/classes/dictionary_ca.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary_ca.properties	(revision 28626)
@@ -764,7 +764,7 @@
 Menu.Copy_Collection:Copia aquesta colÂ·lecciÃ³ a...  
 Menu.Edit:Edita  
-Menu.Edit_Copy:Copia (ctrl-c)  
-Menu.Edit_Cut:Talla (ctrl-x)  
-Menu.Edit_Paste:Enganxa (ctrl-v)  
+Menu.Edit_Copy:Copia ({0}-c)  
+Menu.Edit_Cut:Talla ({0}-x)  
+Menu.Edit_Paste:Enganxa ({0}-v)  
 Menu.Expand:Obre carpeta  
 Menu.Explode_Metadata_Database:Disgrega base de metadades  
Index: main/trunk/gli/classes/dictionary_el.properties
===================================================================
--- main/trunk/gli/classes/dictionary_el.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary_el.properties	(revision 28626)
@@ -1176,7 +1176,7 @@
 Menu.Collapse:ÎÎ»ÎµÎ¯ÏÎµ ÏÎ¿ ÏÎ¬ÎºÎµÎ»Î¿  
 Menu.Edit:ÎÏÎµÎŸÎµÏÎ³Î±ÏÎ¯Î±  
-Menu.Edit_Copy:ÎÎœÏÎ¹Î³ÏÎ±ÏÎ® (ctrl-c)  
-Menu.Edit_Cut:ÎÏÎ¿ÎºÎ¿ÏÎ® (ctrl-x)  
-Menu.Edit_Paste:ÎÏÎ¹ÎºÏÎ»Î·ÏÎ· (ctrl-v)  
+Menu.Edit_Copy:ÎÎœÏÎ¹Î³ÏÎ±ÏÎ® ({0}-c)  
+Menu.Edit_Cut:ÎÏÎ¿ÎºÎ¿ÏÎ® ({0}-x)  
+Menu.Edit_Paste:ÎÏÎ¹ÎºÏÎ»Î·ÏÎ· ({0}-v)  
 Menu.Expand:ÎÎœÎ¿Î¹Î³ÎŒÎ± ÎŠÎ±ÎºÎ­Î»Î¿Ï
   
Index: main/trunk/gli/classes/dictionary_es.properties
===================================================================
--- main/trunk/gli/classes/dictionary_es.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary_es.properties	(revision 28626)
@@ -765,7 +765,7 @@
 Menu.Copy_Collection:Copiar esta colecciÃ³n a âŠ
 Menu.Edit:Editar
-Menu.Edit_Copy:Copiar (ctrl-c)
-Menu.Edit_Cut:Cortar (ctrl-x)
-Menu.Edit_Paste:Pegar (ctrl-v)
+Menu.Edit_Copy:Copiar ({0}-c)
+Menu.Edit_Cut:Cortar ({0}-x)
+Menu.Edit_Paste:Pegar ({0}-v)
 Menu.Expand:Abrir carpeta
 Menu.Explode_Metadata_Database:Explotar la base de datos de metadatos
Index: main/trunk/gli/classes/dictionary_fr.properties
===================================================================
--- main/trunk/gli/classes/dictionary_fr.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary_fr.properties	(revision 28626)
@@ -765,7 +765,7 @@
 Menu.Copy_Collection:Copier cette collection versâŠ
 Menu.Edit:Modifier
-Menu.Edit_Copy:Copier (ctrl-c)
-Menu.Edit_Cut:Couper (ctrl-x)
-Menu.Edit_Paste:Coller (ctrl-v)
+Menu.Edit_Copy:Copier ({0}-c)
+Menu.Edit_Cut:Couper ({0}-x)
+Menu.Edit_Paste:Coller ({0}-v)
 Menu.Expand:Ouvrir Dossier
 Menu.Explode_Metadata_Database:Ãclater la base de donnÃ©es de mÃ©tadonnÃ©es
Index: main/trunk/gli/classes/dictionary_hy.properties
===================================================================
--- main/trunk/gli/classes/dictionary_hy.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary_hy.properties	(revision 28626)
@@ -810,7 +810,7 @@
 Menu.Edit:ÔœÕŽÕ¢Õ¡Õ£ÖÕ¥Õ¬  
 Menu.Edit_Copy:Ô¿ÖÕ¯Õ¶Ö
-ÖÕ«Õ¶Õ¡Õ¯ÕžÖÕŽ (ctrl-c)  
-Menu.Edit_Cut:Ô¿Õ¿ÖÕ¥Õ¬ (ctrl-x)  
-Menu.Edit_Paste:Ô±ÕŽÖÕ¡ÖÕ¶Õ¥Õ¬ (ctrl-v)  
+ÖÕ«Õ¶Õ¡Õ¯ÕžÖÕŽ ({0}-c)  
+Menu.Edit_Cut:Ô¿Õ¿ÖÕ¥Õ¬ ({0}-x)  
+Menu.Edit_Paste:Ô±ÕŽÖÕ¡ÖÕ¶Õ¥Õ¬ ({0}-v)  
 Menu.Expand:Ô²Õ¡ÖÕ¥Õ¬ Õ©Õ²Õ©ÕºÕ¡Õ¶Õ¡Õ¯Õš  
 Menu.Explode_Metadata_Database:ÕÕ¡ÕµÕ©Õ¥ÖÕ¶Õ¥Õ¬ ÕÕ¥Õ¿Õ¡Õ¿ÕŸÕµÕ¡Õ¬Õ« Õ¿ÕŸÕµÕ¡Õ¬Õ¶Õ¥ÖÕ« Õ·Õ¿Õ¥ÕŽÕ¡ÖÕ¡Õ¶Õš  
Index: main/trunk/gli/classes/dictionary_ja.properties
===================================================================
--- main/trunk/gli/classes/dictionary_ja.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary_ja.properties	(revision 28626)
@@ -848,7 +848,7 @@
 Menu.Copy_Collection:ãã®ã³ã¬ã¯ã·ã§ã³ãã³ããŒããâŠ  
 Menu.Edit:ç·šéãã  
-Menu.Edit_Copy:ã³ããŒãã(ctrl-c)  
-Menu.Edit_Cut:ã«ãããã(ctrl-x)  
-Menu.Edit_Paste:ããŒã¹ããã(ctrl-v)  
+Menu.Edit_Copy:ã³ããŒãã({0}-c)  
+Menu.Edit_Cut:ã«ãããã({0}-x)  
+Menu.Edit_Paste:ããŒã¹ããã({0}-v)  
 Menu.Expand:ãã©ã«ããŒãéã  
 Menu.Explode_Metadata_Database:ã¡ã¿ããŒã¿ã»ããŒã¿ããŒã¹ãå±éãã  
Index: main/trunk/gli/classes/dictionary_kk.properties
===================================================================
--- main/trunk/gli/classes/dictionary_kk.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary_kk.properties	(revision 28626)
@@ -768,7 +768,7 @@
 Menu.Collapse:ÐÐ°Ð¿ÐºÐ°ÐœÑ Ð¶Ð°Ð±Ñ
 Menu.Edit:Ð ÐµÐŽÐ°ÐºÑÐžÑÐ»Ð°Ñ
-Menu.Edit_Copy:ÐÓ©ÑÑÑÑ (ctrl-c)
-Menu.Edit_Cut:ÒÐŸÑ(ctrl-x)
-Menu.Edit_Paste:ÐÐµÑÑ (ctrl-v)
+Menu.Edit_Copy:ÐÓ©ÑÑÑÑ ({0}-c)
+Menu.Edit_Cut:ÒÐŸÑ({0}-x)
+Menu.Edit_Paste:ÐÐµÑÑ ({0}-v)
 Menu.Expand:ÐÐ°Ð¿ÐºÐ°ÐœÑ Ð°ÑÑ
 Menu.Explode_Metadata_Database:ÐÐµÑÐ°Ð±ÐµÑÑÐ»Ð³ÐµÐœÐŽÐµÑÐŒÐµÐœ Ð±ÐµÑÑÐ»Ð³ÐµÐœÐŽÐµÑ Ð±Ð°Ð·Ð°ÑÑÐœ Ð±Ó©Ð»Ñ
Index: main/trunk/gli/classes/dictionary_kn.properties
===================================================================
--- main/trunk/gli/classes/dictionary_kn.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary_kn.properties	(revision 28626)
@@ -870,8 +870,8 @@
 Menu.Copy_Collection:à² à²žà²à²à³à²°à²¹à²µà²šà³à²šà³ à²à³ à²šà²à²²à³ à²®à²Ÿà²¡à²¿âŠ  
 Menu.Edit:à²€à²¿à²Šà³à²Šà³  
-Menu.Edit_Copy:à²šà²à²²à³ à²®à²Ÿà²¡à³(ctrl-c)
-Menu.Edit_Cut:à²à²€à³à²€à²°à²¿à²žà³(ctrl-x)
+Menu.Edit_Copy:à²šà²à²²à³ à²®à²Ÿà²¡à³({0}-c)
+Menu.Edit_Cut:à²à²€à³à²€à²°à²¿à²žà³({0}-x)
 Menu.Edit_Paste:à²
-à²à²à²¿à²žà³(ctrl-v)
+à²à²à²¿à²žà³({0}-v)
 Menu.Expand:à²à²¡à²€à²à²à³à²à²šà³à²šà³ à²€à³à²°à³.  
 Menu.Explode_Metadata_Database:à²®à³à²à²¡à³à²à²Ÿ à²Šà²€à³à²€à²Ÿà²à²¶à²µà²šà³à²šà³ à²µà²¿à²žà³à²€à²°à²¿à²žà²¿.  
Index: main/trunk/gli/classes/dictionary_lv.properties
===================================================================
--- main/trunk/gli/classes/dictionary_lv.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary_lv.properties	(revision 28626)
@@ -674,7 +674,7 @@
 Menu.Collapse:AizvÄrt Mapi
 Menu.Edit:RediÄ£Ät
-Menu.Edit_Copy:KopÄt (ctrl-c)
-Menu.Edit_Cut:Izgriezt (ctrl-x)
-Menu.Edit_Paste:IelÄ«mÄt (ctrl-v)
+Menu.Edit_Copy:KopÄt ({0}-c)
+Menu.Edit_Cut:Izgriezt ({0}-x)
+Menu.Edit_Paste:IelÄ«mÄt ({0}-v)
 Menu.Expand:AtvÄrt Mapi
 Menu.Explode_Metadata_Database:SadalÄ«t metadatu datu bÄzi
Index: main/trunk/gli/classes/dictionary_mn.properties
===================================================================
--- main/trunk/gli/classes/dictionary_mn.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary_mn.properties	(revision 28626)
@@ -1619,10 +1619,10 @@
 
 Menu.Edit_Copy:Ð¥ÑÑÐ»Ð°Ñ
- (ctrl-c)
+ ({0}-c)
 Menu.Edit_Cut:ÐÓ©Ó©Ñ
- (ctrl-x)
+ ({0}-x)
 Menu.Edit_Paste:Ð¥ÑÑÐ»Ð±Ð°ÑÑÐ³ ÑÐ°ÐœÐ°Ñ
  ÐŸÐ¹Ð³ÐŸÐŸÑ Ð³Ð°ÑÐ³Ð°Ñ
- (ctrl-v)
+ ({0}-v)
 Menu.Expand:Ð¥Ð°Ð²ÑÐ°ÑÑÐ³ ÐœÑÑÑ
 
Index: main/trunk/gli/classes/dictionary_mr.properties
===================================================================
--- main/trunk/gli/classes/dictionary_mr.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary_mr.properties	(revision 28626)
@@ -917,7 +917,7 @@
 Menu.Copy_Collection:à€¹à€Ÿ à€žà€à€à¥à€°à€¹ à€à¥à€ªà¥ à€à€°à€Ÿ...  
 Menu.Edit:à€²à€¿à€¹à€Ÿ  
-Menu.Edit_Copy:à€ªà¥à€°à€€(ctrl-c)  
-Menu.Edit_Cut:à€à€(ctrl-x)  
-Menu.Edit_Paste:à€ªà¥à€žà¥à€ (ctrl-v)  
+Menu.Edit_Copy:à€ªà¥à€°à€€({0}-c)  
+Menu.Edit_Cut:à€à€({0}-x)  
+Menu.Edit_Paste:à€ªà¥à€žà¥à€ ({0}-v)  
 Menu.Expand:à€«à¥à€²à¥à€¡à€° à€à€à€¡à€Ÿ  
 Menu.Explode_Metadata_Database:à€à€à¥à€žà€ªà¥à€²à¥à€¡ à€®à¥à€à€Ÿà€¡à¥à€à€Ÿ  à€¡à¥à€à€Ÿà€¬à¥à€ž  
Index: main/trunk/gli/classes/dictionary_ne.properties
===================================================================
--- main/trunk/gli/classes/dictionary_ne.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary_ne.properties	(revision 28626)
@@ -862,7 +862,7 @@
 Menu.Collapse:à€«à¥à€²à¥à€¡à€°à€²à€Ÿà€ ( folder ) à€¬à€šà¥à€Š à€à€°à¥à€šà¥à€¹à¥à€žà¥  
 Menu.Edit:à€žà€®à¥à€ªà€Ÿà€Šà€š à€à€°à¥à€šà¥à€¹à¥à€žà¥  
-Menu.Edit_Copy:à€ªà¥à€°à€€à€¿à€²à€¿à€ªà€¿ à€¬à€šà€Ÿà€à€šà¥à€¹à¥à€žà¥ ( à€à€šà¥à€à¥à€°à¥à€² - à€žà€¿ ) (ctrl-c)  
-Menu.Edit_Cut:à€à€Ÿà€à¥à€šà¥à€¹à¥à€žà¥  ( à€à€šà¥à€à¥à€°à¥à€² - à€à€à¥à€ž ) (ctrl-x)  
-Menu.Edit_Paste:à€à€ à€ à€Ÿà€à€ à€¬à€Ÿà€ à€à€°à¥à€à¥ à€ à€Ÿà€à€à€®à€Ÿ à€žà€Ÿà€°à¥à€šà¥à€¹à¥à€žà¥ (à€à€šà¥à€à¥à€°à¥à€² - à€­à€¿ )(ctrl-v)  
+Menu.Edit_Copy:à€ªà¥à€°à€€à€¿à€²à€¿à€ªà€¿ à€¬à€šà€Ÿà€à€šà¥à€¹à¥à€žà¥ ( à€à€šà¥à€à¥à€°à¥à€² - à€žà€¿ ) ({0}-c)  
+Menu.Edit_Cut:à€à€Ÿà€à¥à€šà¥à€¹à¥à€žà¥  ( à€à€šà¥à€à¥à€°à¥à€² - à€à€à¥à€ž ) ({0}-x)  
+Menu.Edit_Paste:à€à€ à€ à€Ÿà€à€ à€¬à€Ÿà€ à€à€°à¥à€à¥ à€ à€Ÿà€à€à€®à€Ÿ à€žà€Ÿà€°à¥à€šà¥à€¹à¥à€žà¥ (à€à€šà¥à€à¥à€°à¥à€² - à€­à€¿ )({0}-v)  
 Menu.Expand:à€«à¥à€²à¥à€¡à€° à€à¥à€²à¥à€šà¥à€¹à¥à€žà¥  
 Menu.Explode_Metadata_Database:à€à€§à€Ÿà€°à€­à¥à€€ à€€à€¥à¥à€¯ à€¬à€Ÿà€ metadata à€µà€¿à€žà¥à€«à¥à€ à€à€°à€Ÿà€à€šà¥à€¹à¥à€ž  
Index: main/trunk/gli/classes/dictionary_ro.properties
===================================================================
--- main/trunk/gli/classes/dictionary_ro.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary_ro.properties	(revision 28626)
@@ -696,7 +696,7 @@
 Menu.Collapse:Ãnchide Dosarul  
 Menu.Edit:EditeazÄ  
-Menu.Edit_Copy:Copy (ctrl-c)  
-Menu.Edit_Cut:Cut (ctrl-x)  
-Menu.Edit_Paste:Paste(lipeÅte) (ctrl-v)  
+Menu.Edit_Copy:Copy ({0}-c)  
+Menu.Edit_Cut:Cut ({0}-x)  
+Menu.Edit_Paste:Paste(lipeÅte) ({0}-v)  
 Menu.Expand:Deschide Dosar  
 Menu.Explode_Metadata_Database:Extinde baza de date cu metadate  
Index: main/trunk/gli/classes/dictionary_ru.properties
===================================================================
--- main/trunk/gli/classes/dictionary_ru.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary_ru.properties	(revision 28626)
@@ -854,7 +854,7 @@
 Menu.Collapse:ÐÐ°ÐºÑÑÑÑ Ð¿Ð°Ð¿ÐºÑ
 Menu.Edit:Ð ÐµÐŽÐ°ÐºÑÐžÑÐŸÐ²Ð°ÑÑ
-Menu.Edit_Copy:ÐÐŸÐ¿ÐžÑÐŸÐ²Ð°ÑÑ (ctrl-c)
-Menu.Edit_Cut:ÐÑÑÐµÐ·Ð°ÑÑ (ctrl-x)
-Menu.Edit_Paste:ÐÑÑÐ°Ð²ÐžÑÑ (ctrl-v)
+Menu.Edit_Copy:ÐÐŸÐ¿ÐžÑÐŸÐ²Ð°ÑÑ ({0}-c)
+Menu.Edit_Cut:ÐÑÑÐµÐ·Ð°ÑÑ ({0}-x)
+Menu.Edit_Paste:ÐÑÑÐ°Ð²ÐžÑÑ ({0}-v)
 Menu.Expand:ÐÑÐºÑÑÑÑ Ð¿Ð°Ð¿ÐºÑ
 Menu.Explode_Metadata_Database:Ð Ð°ÑÐ¿ÑÐµÐŽÐµÐ»ÐžÐœÑ Ð±Ð°Ð·Ñ ÐŽÐ°ÐœÐœÑÑ
Index: main/trunk/gli/classes/dictionary_ta.properties
===================================================================
--- main/trunk/gli/classes/dictionary_ta.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary_ta.properties	(revision 28626)
@@ -889,7 +889,7 @@
 Menu.Collapse:à®®à®à®¿à®ªà¯à®ªà¯ à®®à¯à®à®µà¯à®®à¯  
 Menu.Edit:à®à¯à®°à®®à¯à®à¯à®à®µà¯à®®à¯  
-Menu.Edit_Copy:à®šà®à®²à¯ à®à®à¯à®à¯à®à®µà¯à®®à¯ (ctrl-c)  
-Menu.Edit_Cut:à®µà¯à®à¯à®à¯(ctrl-x)  
-Menu.Edit_Paste:à®à®à¯à®à®µà¯à®®à¯ (ctrl-v)  
+Menu.Edit_Copy:à®šà®à®²à¯ à®à®à¯à®à¯à®à®µà¯à®®à¯ ({0}-c)  
+Menu.Edit_Cut:à®µà¯à®à¯à®à¯({0}-x)  
+Menu.Edit_Paste:à®à®à¯à®à®µà¯à®®à¯ ({0}-v)  
 Menu.Expand:à®®à®à®¿à®ªà¯à®ªà¯ à®€à®¿à®°à®à¯à®à®µà¯à®®à¯  
 Menu.Explode_Metadata_Database:à®®à¯à®€à®°à®µà¯ à®€à®°à®µà¯à®€à¯à®€à®³à®®à¯ à®€à¯à®°à®¿à®à¯à®à®µà¯à®®à¯  
Index: main/trunk/gli/classes/dictionary_th.properties
===================================================================
--- main/trunk/gli/classes/dictionary_th.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary_th.properties	(revision 28626)
@@ -734,7 +734,7 @@
 Menu.Collapse:àžàžŽàžà¹àžàž¥à¹àžàž­àž£à¹  
 Menu.Edit:à¹àžà¹à¹àž  
-Menu.Edit_Copy:àžàž³àžªàž³à¹àžàž² (ctrl-c)  
-Menu.Edit_Cut:àžàž±àž (ctrl-x)  
-Menu.Edit_Paste:àž§àž²àž (ctrl-v)  
+Menu.Edit_Copy:àžàž³àžªàž³à¹àžàž² ({0}-c)  
+Menu.Edit_Cut:àžàž±àž ({0}-x)  
+Menu.Edit_Paste:àž§àž²àž ({0}-v)  
 Menu.Expand:à¹àžàžŽàžà¹àžàž¥à¹àžàž­àž£à¹  
 Menu.Explode_Metadata_Database:àžàž£àž°àžàž²àž¢àžàž²àžàžà¹àž­àž¡àž¹àž¥à¹àž¡àžàž²àžàž²àžàž²  
Index: main/trunk/gli/classes/dictionary_vi.properties
===================================================================
--- main/trunk/gli/classes/dictionary_vi.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary_vi.properties	(revision 28626)
@@ -764,7 +764,7 @@
 Menu.Copy_Collection:Sao sÆ°u táº­p nÃ y sang ...  
 Menu.Edit:Hiá»u ÄÃ­nh  
-Menu.Edit_Copy:Sao (ctrl-c)  
-Menu.Edit_Cut:Cáº¯t (ctrl-x)  
-Menu.Edit_Paste:DÃ¡n (ctrl-v)  
+Menu.Edit_Copy:Sao ({0}-c)  
+Menu.Edit_Cut:Cáº¯t ({0}-x)  
+Menu.Edit_Paste:DÃ¡n ({0}-v)  
 Menu.Expand:Má» thÆ° má»¥c  
 Menu.Explode_Metadata_Database:Má» bung CSDL siÃªu dá»¯ liá»u  
Index: main/trunk/gli/classes/dictionary_zh.properties
===================================================================
--- main/trunk/gli/classes/dictionary_zh.properties	(revision 28532)
+++ main/trunk/gli/classes/dictionary_zh.properties	(revision 28626)
@@ -918,7 +918,7 @@
 ³é­æä»¶å€¹
 Menu.Edit:çŒèŸ
-Menu.Edit_Copy:å€å¶ (ctrl-c)
-Menu.Edit_Cut:åªå (ctrl-x)
-Menu.Edit_Paste:ç²èŽŽ (ctrl-v)
+Menu.Edit_Copy:å€å¶ ({0}-c)
+Menu.Edit_Cut:åªå ({0}-x)
+Menu.Edit_Paste:ç²èŽŽ ({0}-v)
 Menu.Expand:æåŒæä»¶å€¹
 Menu.Explode_Metadata_Database:å±åŒå
Index: main/trunk/gli/src/org/greenstone/gatherer/gems/GEMS.java
===================================================================
--- main/trunk/gli/src/org/greenstone/gatherer/gems/GEMS.java	(revision 28532)
+++ main/trunk/gli/src/org/greenstone/gatherer/gems/GEMS.java	(revision 28626)
@@ -447,12 +447,12 @@
 	    edit = new JMenu();
 	    edit.setText(Dictionary.get("Menu.Edit"));
-	    
-	    edit_cut = new JMenuItem(Dictionary.get("Menu.Edit_Cut"));
+	    String modkey = Utility.isMac() ? "apple" : "ctrl";
+	    edit_cut = new JMenuItem(Dictionary.get("Menu.Edit_Cut", modkey));
 	    edit_cut.addActionListener(this);
 	    
-	    edit_copy = new JMenuItem(Dictionary.get("Menu.Edit_Copy"));
+	    edit_copy = new JMenuItem(Dictionary.get("Menu.Edit_Copy", modkey));
 	    edit_copy.addActionListener(this);
 	    
-	    edit_paste = new JMenuItem(Dictionary.get("Menu.Edit_Paste"));
+	    edit_paste = new JMenuItem(Dictionary.get("Menu.Edit_Paste", modkey));
 	    edit_paste.addActionListener(this);
 	    
Index: main/trunk/gli/src/org/greenstone/gatherer/gui/MenuBar.java
===================================================================
--- main/trunk/gli/src/org/greenstone/gatherer/gui/MenuBar.java	(revision 28532)
+++ main/trunk/gli/src/org/greenstone/gatherer/gui/MenuBar.java	(revision 28626)
@@ -45,4 +45,5 @@
 import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.util.JarTools;
+import org.greenstone.gatherer.util.Utility;
 
 /** The menu bar for the Gatherer main GUI. 
@@ -161,14 +162,14 @@
 	edit.setText(Dictionary.get("Menu.Edit"));
 	edit.setComponentOrientation(Dictionary.getOrientation());
-        
-	edit_cut = new JMenuItem(Dictionary.get("Menu.Edit_Cut"));
+        String modkey = Utility.isMac() ? "apple" : "ctrl";
+	edit_cut = new JMenuItem(Dictionary.get("Menu.Edit_Cut", modkey));
 	edit_cut.addActionListener(Gatherer.g_man);
 	edit_cut.setComponentOrientation(Dictionary.getOrientation());
         
-	edit_copy = new JMenuItem(Dictionary.get("Menu.Edit_Copy"));
+	edit_copy = new JMenuItem(Dictionary.get("Menu.Edit_Copy", modkey));
 	edit_copy.addActionListener(Gatherer.g_man);
         edit_copy.setComponentOrientation(Dictionary.getOrientation());
 	
-	edit_paste = new JMenuItem(Dictionary.get("Menu.Edit_Paste"));
+	edit_paste = new JMenuItem(Dictionary.get("Menu.Edit_Paste", modkey));
 	edit_paste.addActionListener(Gatherer.g_man);
 	edit_paste.setComponentOrientation(Dictionary.getOrientation());